﻿Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Drawing
Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' バーコード印刷 継承元フォーム
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class BCP000F010

#Region "変数"
	Private _Title As String = "処理名称"
#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)西本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002BCP000F010.Text = _Title
			Me.lbl002BCP000F010.Invalidate()
			Me.pct003BCP000F010.Height = Me.lbl002BCP000F010.Height
			Me.pct003BCP000F010.Width = Me.lbl002BCP000F010.Width
			Me.pct003BCP000F010.Location = New Point(Me.lbl002BCP000F010.Location.X + 3, Me.lbl002BCP000F010.Location.Y + 3)
			Me.pct003BCP000F010.Invalidate()
		End Set
	End Property

#End Region

#Region "イベント"
	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004BCP000F010_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn004BCP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004BCP000F010_Click", "閉じるボタンクリック")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.EndProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub
#End Region

#Region "メソッド"
	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub EndProc()
		log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")
		Try
			'画面クローズ
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面開設中止処理
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub CancelProc()
		log(clsSysMst.logLevel.DBG, "CancelProc", "画面開設中止")
		Try
			If Not Me.Owner Is Nothing Then
				DirectCast(Me.Owner, frmBase).setCancelFlg(True)
			End If
		Catch ex As Exception
			Throw
		Finally
			'画面終了
			Me.EndProc()
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F12キークリック
	''' </summary>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キークリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.EndProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function
#End Region

End Class
