﻿Imports XCM
Imports XSP
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.IO
Imports System.Collections.Specialized
Imports System.Data

''' ---------------------------------------------
''' <summary>
''' バーコード印刷詳細検索
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class BCP020F020

#Region "変数"
	Private OwnerForm As frmBase											'OwnerFormを取得
	Private pValueUnit As clsConst.Enum_LendUnit							'表示単位
	Private clsSch As clsSearch												'検索共通クラス
	Private fret As Enum_FormReturn = Enum_FormReturn.CANSEL				'画面戻り値
	Private retSch As DictionaryEntry										'戻り値
	Private frmBCP020F010 As BCP020F010										'親画面
	Private pdtMngStatus As DataTable										'管理物管理状況
	Private pdtMngItemKeepLct As DataTable									'保管場所

	''' ---------------------------------------------
	''' <summary>
	''' テーブルコード
	''' </summary>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Tbl_CD As Byte
		''' <summary>
		''' 基本情報
		''' </summary>
		XTI_BASICINFO = 1
		''' <summary>
		''' 管理物情報
		''' </summary>
		LTI_MNGITEMINFO = 2
	End Enum

	'基本情報タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_001 As datSearchInput() = _
	{
	   New datSearchInput("chk005BCP020F020", Enum_Tbl_CD.XTI_BASICINFO, sqlBCP020F020.itmX_PATIENT_NO, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
	  New datSearchInput.clsLinkControls() { _
		New datSearchInput.clsLinkControls("msk006BCP020F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
	  , New datSearchInput.clsLinkControls("msk008BCP020F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
	  }) _
	 , New datSearchInput("chk009BCP020F020", Enum_Tbl_CD.XTI_BASICINFO, sqlBCP020F020.itmX_PATIENT_KNM, clsSearch.ENUM_SEARCH_TYPE.AMBIGUOUS, _
	  New datSearchInput.clsLinkControls() { _
		New datSearchInput.clsLinkControls("txt010BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
	  , New datSearchInput.clsLinkControls("lik011BCP020F020", clsSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
	  }) _
	 , New datSearchInput("chk012BCP020F020", Enum_Tbl_CD.XTI_BASICINFO, sqlBCP020F020.itmX_GENDER_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
	  New datSearchInput.clsLinkControls() { _
		New datSearchInput.clsLinkControls("cmb013BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
	 })
	}
	'明細情報タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_002 As datSearchInput() = _
	{
		  New datSearchInput("chk016BCP020F020", Enum_Tbl_CD.LTI_MNGITEMINFO, sqlBCP020F020.itmX_MNGITEM_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb017BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk019BCP020F020", Enum_Tbl_CD.LTI_MNGITEMINFO, sqlBCP020F020.itmX_MNGSTATUS_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb020BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk022BCP020F020", Enum_Tbl_CD.LTI_MNGITEMINFO, sqlBCP020F020.itmX_KEEPLCT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb023BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk025BCP020F020", Enum_Tbl_CD.LTI_MNGITEMINFO, sqlBCP020F020.itmX_FIRSTRECEIVING_DT, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte026BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk027BCP020F020", Enum_Tbl_CD.LTI_MNGITEMINFO, sqlBCP020F020.itmX_LASTRECEIVING_DT, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte028BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk029BCP020F020", Enum_Tbl_CD.LTI_MNGITEMINFO, sqlBCP020F020.itmX_RECIPIENT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb031BCP020F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
	' 前回保存値
	Private ReadOnly LastValueCtl() As String = _
	{ _
	 "chk001BCP020F020" _
	}

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じる時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP020F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "BCP020F020_FormClosing", "フォームを閉じるときのイベント START")
		Try
			' 前回設定値保存
			SaveLastValue(LastValueCtl)
			'親画面戻り値(画面IDのみ返却)
			Me.retSch.Key = Me.Name
			'画面クローズフラグ
			Me.setCloseFlg()
			If Me.fret = Enum_FormReturn.CANSEL Then
				Me.OwnerForm.backForm(False)
			Else
				Me.OwnerForm.backForm(False, fret, Me.retSch)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.OwnerForm = Nothing
			frmBCP020F010 = Nothing
			clsSch = Nothing
			pdtMngStatus = Nothing
			pdtMngItemKeepLct = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP020F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "BCP020F020_Load", "フォームを開くイベント START")
		Dim wrkByoreki As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
		Dim cliMngStatus As clsLTM_MNGITEMMNGSTATUS
		Dim cliMngItemKeepLct As clsLTM_MNGITEMKEEPLCT
		Try
			'Ownerフォームのセット
			Me.OwnerForm = Me.Owner
			frmBCP020F010 = Me.OwnerForm
			'検索コントロールリストの追加
			clsSch = New clsSearch
			clsSch.delControl()
			clsSch.addContorl(Me.TABCONTROLS_001)
			clsSch.addContorl(Me.TABCONTROLS_002)
			' 管理物管理状況
			cliMngStatus = New clsLTM_MNGITEMMNGSTATUS
			pdtMngStatus = cliMngStatus.getMngItemMngStatusAllList()
			' 保管場所」
			cliMngItemKeepLct = New clsLTM_MNGITEMKEEPLCT
			pdtMngItemKeepLct = cliMngItemKeepLct.getMngKeepLctListAll()
			'コンボボックスセット
			Me.setCombo()
			'タブ表示位置調整
			With Me.tab003BCP020F020
				.ItemSize = New Size(.ItemSize.Width, .ItemSize.Height)
			End With
			'患者番号チェックにフォーカス
			Me.chk005BCP020F020.Select()
			' 前回設定値取得
			LoadLastValue(LastValueCtl)
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			wrkByoreki = Nothing
			cliMngStatus = Nothing
			cliMngItemKeepLct = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索(代表医師、受領者・作成者)ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnStaff_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn030BCP020F020.Click
		log(clsSysMst.logLevel.NRM, "btnStaff_Click", "職員検索(代表医師、受領者・作成者)ボタンクリック時 START")
		Try
			Select Case sender.name
				Case Me.btn030BCP020F020.Name : Me.showStaffDsp(Me.cmb031BCP020F020)		'受領者（明細情報）
				Case Else

			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002BCP020F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002BCP020F020.Click
		log(clsSysMst.logLevel.NRM, "btn002BCP020F020_Click", "検索ボタンクリック時 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索処理メイン
			Me.SchMain()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物選択変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb017BCP020F020_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles cmb017BCP020F020.SelectedIndexChanged
		If Me.cmb017BCP020F020.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, "cmb017BCP020F020_SelectedIndexChanged", "管理物選択変更時 START")
		Else
			log(clsSysMst.logLevel.DBG, "cmb017BCP020F020_SelectedIndexChanged", "管理物選択変更時 START")
		End If
		Dim cliCom As clsCom
		Try
			' 管理状況
			cliCom = New clsCom
			Dim dtMngStatus As DataTable = cliCom.getTableFromRows(pdtMngStatus, pdtMngStatus.Select(getWhereMngItemMngStatusMNGITEM_CD(Me.cmb017BCP020F020.Text)))
			Me.cmb020BCP020F020.DataSource = dtMngStatus
			' 保管場所
			Dim dtMngItemKeepLct As DataTable = cliCom.getTableFromRows(pdtMngItemKeepLct, pdtMngItemKeepLct.Select(getWhereMngItemKeepLctMNGITEM_CD(Me.cmb017BCP020F020.Text)))
			Me.cmb023BCP020F020.DataSource = dtMngItemKeepLct
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物チェックボックス変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk016BCP020F020_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles chk016BCP020F020.CheckedChanged
		log(clsSysMst.logLevel.NRM, "btn002BCP020F020_Click", "検索ボタンクリック時 START")
		Try
			If Not Me.chk016BCP020F020.Checked Then
				Me.chk019BCP020F020.Checked = False
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コンボ設定
	''' </summary>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCombo()
		log(clsSysMst.logLevel.DBG, "setCombo", "コンボ設定 START")
		Dim cliComboCom As clsComboCom = Nothing
		Dim cliCom As clsCom = Nothing
		Dim dt As DataTable = Nothing
		Try
			cliComboCom = New clsComboCom
			dt = New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				'基本情報タブ
				'性別
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Gender)
				Me.cmb013BCP020F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'明細情報タブ
				'管理物
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_L_MngItem)
				Me.cmb017BCP020F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'管理状況
				Me.cmb020BCP020F020.DataSource = pdtMngStatus.Clone
				'保管場所
				Me.cmb023BCP020F020.DataSource = pdtMngItemKeepLct.Clone
				'受領者
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXDiv_Dsp)
				Me.cmb031BCP020F020.DataSource = dt.Copy()
				cliCom = New clsCom
				cliCom.setComboValue(Me.cmb031BCP020F020, Me._userID)
				dt.Dispose() : dt = Nothing
				'コントロール設定
				Me.setControl(Me)
			End Using
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
			cliComboCom = Nothing
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物管理状況データテーブルWhere文作成（MNGITEM_CDのみ））
	''' </summary>
	''' <param name="strMngItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getWhereMngItemMngStatusMNGITEM_CD(ByVal strMngItem_Cd As String) As String
		log(clsSysMst.logLevel.DBG, "getWhereMngItemMngStatusMNGITEM_CD", "管理物管理状況データテーブルWhere文作成（MNGITEM_CDのみ））")
		Dim cliCom As clsCom
		Try
			Dim strWhere As String = ""
			cliCom = New clsCom
			strWhere = sqlBCP020F020.itmMNGITEM_CD & " = '" & cliCom.getDtItmValue(strMngItem_Cd) & "'"
			Return strWhere
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 保管場所データテーブルWhere文作成（MNGITEM_CDのみ））
	''' </summary>
	''' <param name="strMngItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getWhereMngItemKeepLctMNGITEM_CD(ByVal strMngItem_Cd As String) As String
		log(clsSysMst.logLevel.DBG, "getWhereMngItemKeepLctMNGITEM_CD", "保管場所データテーブルWhere文作成（MNGITEM_CDのみ））")
		Dim cliCom As clsCom
		Try
			Dim strWhere As String = ""
			cliCom = New clsCom
			strWhere = sqlBCP020F020.itmMNGITEM_CD & " = '" & cliCom.getDtItmValue(strMngItem_Cd) & "'"
			Return strWhere
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コントロール設定
	''' </summary>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setControl(ByVal ctl As Control)
		log(clsSysMst.logLevel.DBG, "setConbo", "コンボボックス設定 START")
		Try
			For Each c As Control In ctl.Controls
				Select Case True
					Case TypeOf c Is BT_MultiComboBox
						DirectCast(c, BT_MultiComboBox).setDropDownWidth()
					Case ctl.Controls.Count > 0
						'再帰呼び出し
						Me.setControl(c)
					Case Else

				End Select
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索画面表示
	''' </summary>
	''' <param name="ctl">コントロール</param>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showStaffDsp(ByVal ctl As BT_MultiComboBox)
		log(clsSysMst.logLevel.DBG, "showStaffDsp", "職員検索画面表示 START")
		Dim ctiStaff As XSP.clsStaff
		Try
			'職員検索画面表示
			ctiStaff = New XSP.clsStaff
			With ctl
				ctiStaff.dspStaffForm(Me, .Name, .LinkControl, clsStaff.Enum_DspMode.eReference, .DoctorFlg)
			End With
		Catch ex As Exception
			Throw
		Finally
			ctiStaff = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ScarchProc() As DataTable
		log(clsSysMst.logLevel.DBG, "ScarchProc", "検索処理 START")
		Dim wrkSqlWhere As String = Nothing
		Dim wrkSql As String = Nothing
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					With db
						'管理物情報の条件を取得
						wrkSqlWhere = clsSch.getSqlWhere(Enum_Tbl_CD.XTI_BASICINFO, False)
						wrkSqlWhere &= clsSch.getSqlWhere(Enum_Tbl_CD.LTI_MNGITEMINFO, False)
						If Mid(wrkSqlWhere, 1, 4) = "AND " Then wrkSqlWhere = "WHERE " & Mid(wrkSqlWhere, 4)
						'取得したＳＱＬをセット
						If Me.chk001BCP020F020.Checked Then
							.setSQLDa(String.Format(sqlBCP020F020.sqlSel_Normal, sqlBCP020F020.sqlSel_First, wrkSqlWhere))
						Else
							.setSQLDa(String.Format(sqlBCP020F020.sqlSel_Normal, String.Empty, wrkSqlWhere))
						End If
						'パラメータセット
						' SQLパラメータ宣言
						db.setParamDa(sqlBCP020F010.prmSELECTED, clsDB.Enum_dbType.dbInt)
						'選択チェックボックス(初期表示はチェック＝ON）
						db.setValDa(sqlBCP020F010.prmSELECTED, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
						clsSch.setDbParamDa(db)
						'データ取得
						.execQueryDa(dt)
					End With
				End Using
				Return dt
			End Using
		Catch ex As Exception
			Throw
		Finally
			wrkSqlWhere = Nothing
			wrkSql = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理メイン
	''' </summary>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SchMain()
		log(clsSysMst.logLevel.DBG, "SchMain", "検索処理メイン START")
		Dim dt As DataTable = Nothing
		Try
			If clsSch.getSearch(Me) = True Then
				'検索結果を取得
				dt = ScarchProc()
				If dt Is Nothing OrElse dt.Rows.Count = 0 Then
					Me.fret = Enum_FormReturn.NONE
					'「検索条件に対する該当データが存在しません。」
					Me.showMsg("E0010")
				Else
					Dim max As Integer = CType(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00055), Integer)
					If max > 0 AndAlso dt.Rows.Count > max Then
						'対象件数を絞り込んでください。
						Me.showMsg("W0003", "検索対象を", Nothing)
					Else
						Me.fret = Enum_FormReturn.OK
						frmBCP020F010.Schdt = dt
						Me.EndProc()
					End If
				End If
			Else
				'「検索条件が未指定のため検索できません」
				Me.showMsg("E0003", "検索条件が未指定の", "検索", Nothing)
				Me.fret = Enum_FormReturn.NONE
			End If

		Catch ex As Exception
			Throw
		Finally
			If dt IsNot Nothing Then : dt.Dispose() : dt = Nothing : End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function StaffFormProc() As Boolean
		log(clsSysMst.logLevel.DBG, "StaffFormProc", "職員検索処理 START")
		Try
			Me.showStaffDsp(Me.ActiveControl)
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１０キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F10KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F10KeyProc", "Ｆ10キー押下処理 START")
		Try
			If Me.tab003BCP020F020.SelectedIndex >= Me.tab003BCP020F020.TabPages.Count - 1 Then
				Me.tab003BCP020F020.SelectedIndex = 0
			Else
				Me.tab003BCP020F020.SelectedIndex += 1
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ11キー押下処理
	''' </summary>
	''' <remarks>
	''' 2013/01/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ11キー押下処理 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.ValidateChildren = True Then
				'検索処理メイン
				Me.SchMain()
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class