﻿'Imports XSP
Imports System.Runtime.ConstrainedExecution
''' ---------------------------------------------
''' <summary>
''' ﾊﾞｰｺｰﾄﾞ印刷(貸出)クラス（ﾊﾞｰｺｰﾄﾞ印刷(貸出)画面と貸出／登録画面間の管理物情報受け渡し用）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU WEST LIMITED All rights reserved.<BR/>
''' FUJITSU WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsBCP020F010

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			'ここで変数のクリアを行う
			Me.PATIENT_NO = Nothing
			Me.MNGITEM_CD = Nothing
			Me.SERIAL_NO = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

	Public PATIENT_NO As String = Nothing								'患者番号
	Public MNGITEM_CD As String = Nothing								'管理物コード
	Public SERIAL_NO As Integer = Nothing								'連番

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		Call Me.Clear()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コピー
	''' </summary>
	''' <returns>コピーインスタンス</returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function Copy() As clsBCP020F010
		Dim ret As New clsBCP020F010
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.MNGITEM_CD = Me.MNGITEM_CD
			.SERIAL_NO = Me.SERIAL_NO
		End With
		Return ret
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Clear()
		Me.PATIENT_NO = Nothing
		Me.MNGITEM_CD = Nothing
		Me.SERIAL_NO = Nothing
	End Sub

End Class