﻿Imports XCM
Imports XMS

'''---------------------------------------------
''' <summary>
''' 貸出物マスタ＿マスタ保守メニュー画面処理
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class LMS010F010

#Region "変数"
	' 重複起動
	Private pbExclusive As Boolean = False
#End Region

#Region "イベント"
	'''---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/04/27 新規作成　CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub LMS010F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		log(clsSysMst.logLevel.NRM, "LMS010F010_Load", "画面ロード START")
		Try
			'排他制御登録()
			If Me.setStartStatus(False) = False Then
				'画面を閉じる
				Me.setCloseFlg()
				pbExclusive = True
				Me.Close()
				Exit Sub
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 画面クローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/04/27 新規作成　CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub LMS010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "LMS010F010_FormClosing", "画面クローズ START")
		Try
			' 排他制御削除（排他エラー時は削除しない）
			If Not pbExclusive Then
				Me.delStartStatus()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理物ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn003LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn003LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn003LMS010F010_Click", "管理物ボタンクリック Start")
		Dim ChildForm As New LMS020F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理物管理状況ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn004LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn004LMS010F010_Click", "管理物管理状況ボタンクリック Start")
		Dim ChildForm As New LMS030F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理物保管場所ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn005LMS010F010_Click", "管理物保管場所ボタンクリック Start")
		Dim ChildForm As New LMS040F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 貸出目的ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn006LMS010F010_Click", "貸出目的ボタンクリック Start")
		Dim ChildForm As New LMS050F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理物所在場所ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn007LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn007LMS010F010_Click", "管理物所在場所ボタンクリック Start")
		Dim ChildForm As New LMS060F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 貸出コンボボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn008LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn008LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn008LMS010F010_Click", "貸出コンボボタンクリック Start")
		Dim ChildForm As New LMS070F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 区分ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn009LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn009LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn009LMS010F010_Click", "区分ボタンクリック Start")
		Dim ChildForm As New LMS080F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 貸出自由項目ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/26 新規作成　FJSK)福田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn011LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn011LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn011LMS010F010_Click", "貸出自由項目ボタンクリック Start")
		Dim ChildForm As New LMS100F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 職員ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/05 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn016LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn016LMS010F010_Click", "職員ボタンクリック Start")
		Dim ChildForm As New XMS020F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 使用者ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/05 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn017LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn017LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn017LMS010F010_Click", "使用者ボタンクリック Start")
		Dim ChildForm As New XMS030F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 病院名ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/05 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn019LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn019LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn019LMS010F010_Click", "病院名ボタンクリック Start")
		Dim ChildForm As New XMS040F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

'(A) STR V4-14034-000 022 2013/06/19 ID)一方井 病歴大将V4PKG 貸出管理対応 明細一括作成ボタンを追加
	'''---------------------------------------------
	''' <summary>
	''' 明細一括作成ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn021LMS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn021LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn021LMS010F010_Click", "明細一括作成ボタンクリック Start")
		Dim ChildForm As New LMS110F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub
'(A) END V4-14034-000 022 2013/06/19 ID)一方井

'(A) STR V4-14046-000 045 20130722 ID)平井(貸出管理レベルアップ２次開発　貸出目的と保管場所と貸出場所の紐付け)
	''' ---------------------------------------------
	''' <summary>
	''' 目的別保管場所ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn022LMS010F010_Click(sender As System.Object, e As System.EventArgs) Handles btn022LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn022LMS010F010_Click", "目的別保管場所ボタンクリック Start")
		Dim ChildForm As New LMS120F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 目的別所在場所ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn023LMS010F010_Click(sender As System.Object, e As System.EventArgs) Handles btn023LMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btn023LMS010F010_Click", "目的別所在場所ボタンクリック Start")
		Dim ChildForm As New LMS130F010
		Try
			nextForm(ChildForm)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			ChildForm = Nothing
		End Try
	End Sub
'(A) END V4-14046-000 045 20130722

#End Region

#Region "メソッド"

#End Region

#Region "オーバーライド"

#End Region

End Class