﻿Imports System.ComponentModel
Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 継承元
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX000F010
'(A) STR V4-11007-000 008 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
#Region "コンスタント"

	Protected Const CST_RUNPROC_NAME As String = "RunProc"
	Protected Const CST_XCM020F010_CD As String = "XCM020F010"

#End Region
'(A) END V4-11007-000 008 20110809
#Region "変数"

	Private _Title As String = "処 理 名 称"
	Protected cancelFlg As Boolean = False			  '画面開設中止フラグ

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2009/11/05 新規作成　ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002MAX000F010.Text = _Title
			Me.lbl002MAX000F010.Invalidate()
			Me.pct003MAX000F010.Height = Me.lbl002MAX000F010.Height
			Me.pct003MAX000F010.Width = Me.lbl002MAX000F010.Width
			Me.pct003MAX000F010.Location = New Point(Me.lbl002MAX000F010.Location.X + 3, Me.lbl002MAX000F010.Location.Y + 3)
			Me.pct003MAX000F010.Invalidate()
		End Set
	End Property

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/12/07 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX000F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX000F010_FormClosing", "フォームクローズ START")
		Try
			'変数解放（Dispose）
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'変数解放（Nothing）
			Me._Title = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn004MAX000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004MAX000F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn004MAX000F010_Click", "閉じるボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.EndProc()	'終了処理
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 実行ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overridable Sub btn005MAX000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005MAX000F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn005MAX000F010_Click", "実行ボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.UpdProc()	'実行処理
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub SelProc()
		'継承先にて処理記述
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub UpdProc()
		'継承先にて処理記述
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub EndProc()
		log(XCM.clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")
		Try
			'画面クローズ
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 呼出元画面へ遷移
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub FormClosingProc(Optional ByVal repaint As Boolean = False)
		Me.log(XCM.clsSysMst.logLevel.DBG, "FormClosingProc", "呼出元画面へ遷移")
		Dim frm As XCM.frmBase
		Try
			If Me.Owner IsNot Nothing Then
				frm = Me.Owner
				frm.setCloseFlg()
				frm.Select()
				frm.backForm(repaint)
			End If
		Catch ex As Exception
			Throw
		Finally
			frm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面開設中止
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub CancelProc()
		Me.log(clsSysMst.logLevel.DBG, "CancelProc", "画面開設中止 Start")
		Try
			Me.cancelFlg = True
			If Me.Owner IsNot Nothing Then
				DirectCast(Me.Owner, frmBase).setCancelFlg(True)
			End If
		Catch ex As Exception
			Throw
		Finally
			'画面終了
			Me.EndProc()
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			Me.Cursor = Cursors.WaitCursor

			' 実行ボタン有効判定
			If Me.btn005MAX000F010.Visible = False OrElse _
				Me.btn005MAX000F010.Enabled = False Then
				Return True
			End If

			' 実行処理
			Me.UpdProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			Me.Cursor = Cursors.WaitCursor

			' 閉じるボタン有効判定
			If Me.btn004MAX000F010.Visible = False OrElse _
				Me.btn004MAX000F010.Enabled = False Then
				Return True
			End If

			' 終了処理
			Me.EndProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class