﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 未入力チェック帳票（未入力チェック対象一覧）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX020R020

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits System.Runtime.ConstrainedExecution.CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements System.IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pTitle = Nothing
			Me.pCondition = Nothing
			Me.pCliSearch = Nothing
			Me.pPattern = 0
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"

	'対応SQL取得用
	Private Enum Enum_SQLID As Integer
		'* 科歴情報関連 *
		SQLID_MTI_CH_CHK1 = 1										'病歴番号
		SQLID_MTI_CH_CHK2 = 2										'郵便番号
		SQLID_MTI_CH_CHK3 = 3										'診療圏
		SQLID_MTI_CH_CHK4 = 4										'診療科
		SQLID_MTI_CH_CHK5 = 5										'主病棟
		SQLID_MTI_CH_CHK6 = 6										'在院日数
		SQLID_MTI_CH_CHK7 = 7										'代表医師
		SQLID_MTI_CH_CHK8 = 8										'開始日
		SQLID_MTI_CH_CHK9 = 9										'開始時年齢
		SQLID_MTI_CH_CHK10 = 10										'開始経路
		SQLID_MTI_CH_CHK11 = 11										'終了日
		SQLID_MTI_CH_CHK12 = 12										'終了時年齢
		SQLID_MTI_CH_CHK13 = 13										'終了経路
		SQLID_MTI_CH_CHK14 = 14										'終了転帰

		'* 病名タブ関連 *
		SQLID_MTI_DISEASE_CHK1 = 20									'病名
		SQLID_MTI_DISEASE_CHK2 = 21									'大分類
		SQLID_MTI_DISEASE_CHK3 = 22									'中分類
		SQLID_MTI_DISEASE_CHK4 = 23									'小分類
		SQLID_MTI_DISEASE_CHK5 = 24									'３００分類
		SQLID_MTI_DISEASE_CHK6 = 25									'a分類
		SQLID_MTI_DISEASE_CHK7 = 26									'b分類
		SQLID_MTI_DISEASE_CHK8 = 27									'c分類
		SQLID_MTI_DISEASE_CHK9 = 28									'病名区分
		SQLID_MTI_DISEASE_CHK10 = 29								'病名転帰
		SQLID_MTI_DISEASE_CHK11 = 30								'発症日
		SQLID_MTI_DISEASE_CHK12 = 31								'診断日
		SQLID_MTI_DISEASE_CHK13 = 32								'終了日
		SQLID_MTI_DISEASE_CHK14 = 33								'死因分類(クラス設計書№234)
		SQLID_MTI_DISEASE_CHK15 = 34								'死因分類(クラス設計書№239)

		'* 手術タブ関連 *
		SQLID_MTI_OPE_CHK1 = 40										'ICD9CM
		SQLID_MTI_OPE_CHK2 = 41										'大分類
		SQLID_MTI_OPE_CHK3 = 42										'中分類
		SQLID_MTI_OPE_CHK4 = 43										'３桁分類
		SQLID_MTI_OPE_CHK5 = 44										'開始日
		SQLID_MTI_OPE_CHK6 = 45										'開始時刻
		SQLID_MTI_OPE_CHK7 = 46										'終了日
		SQLID_MTI_OPE_CHK8 = 47										'終了時刻
		SQLID_MTI_OPE_CHK9 = 48										'対応病名
		SQLID_MTI_OPE_CHK10 = 49									'所要時間
		SQLID_MTI_OPE_CHK11 = 50									'医師
		SQLID_MTI_OPE_CHK12 = 51									'術前日数
		SQLID_MTI_OPE_CHK13 = 52									'手術区分
		SQLID_MTI_OPE_CHK14 = 53									'麻酔１
		SQLID_MTI_OPE_CHK15 = 54									'補助区分１
		SQLID_MTI_OPE_CHK16 = 55									'補助区分２
		SQLID_MTI_OPE_CHK17 = 56									'術後日数
		SQLID_MTI_OPE_CHK18 = 57									'点数表ｺｰﾄﾞ
		SQLID_MTI_OPE_CHK19 = 58									'備考１
		SQLID_MTI_OPE_CHK20 = 59									'備考２

		'* 治療処置タブ関連 *
		SQLID_MTI_CARE_CHK1 = 70									'ICD9CM
		SQLID_MTI_CARE_CHK2 = 71									'大分類
		SQLID_MTI_CARE_CHK3 = 72									'中分類
		SQLID_MTI_CARE_CHK4 = 73									'３桁分類
		SQLID_MTI_CARE_CHK5 = 74									'実施日
		SQLID_MTI_CARE_CHK6 = 75									'補助区分
		SQLID_MTI_CARE_CHK7 = 76									'治療処置区分

		'* 検査タブ関連 *
		SQLID_MTI_TEST_CHK1 = 80									'ICD9CM
		SQLID_MTI_TEST_CHK2 = 81									'大分類
		SQLID_MTI_TEST_CHK3 = 82									'中分類
		SQLID_MTI_TEST_CHK4 = 83									'３桁分類
		SQLID_MTI_TEST_CHK5 = 84									'実施日
		SQLID_MTI_TEST_CHK6 = 85									'補助区分
		SQLID_MTI_TEST_CHK7 = 86									'検査区分

		'* 紹介タブ関連 *
		SQLID_MTI_HSP_CNL_CHK1 = 90									'医療機関コード(開始経路が紹介)
		SQLID_MTI_HSP_CNL_CHK2 = 91									'医療機関名(開始経路が紹介)
		SQLID_MTI_HSP_CNL_CHK3 = 92									'医師名(開始経路が紹介)
		SQLID_MTI_HSP_CNL_CHK4 = 93									'医療機関コード(終了経路が紹介)
		SQLID_MTI_HSP_CNL_CHK5 = 94									'医療機関名(終了経路が紹介)
		SQLID_MTI_HSP_CNL_CHK6 = 95									'医師名(終了経路が紹介)

		'* 帳票出力用ワークテーブル操作用 *				
		SQLID_SEL_MTW_CHK_CH_OBJECT = 100							'TW_チェック対象一覧のデータ件数確認

	End Enum

	Private Const CST_LOG_PRODUCT As String = "診療情報管理"
	Private Const CST_LOG_CLASS As String = "未入力チェック印刷"

	Private Const sBTN_PTN_1_1 As String = "btn075MAX020F010"		'科歴情報の１番目のチェックに対する印刷ボタン名  （病歴番号）
	Private Const sBTN_PTN_1_2 As String = "btn078MAX020F010"		'科歴情報の２番目のチェックに対する印刷ボタン名  （郵便番号）
	Private Const sBTN_PTN_1_3 As String = "btn081MAX020F010"		'科歴情報の３番目のチェックに対する印刷ボタン名  （診療圏）
	Private Const sBTN_PTN_1_4 As String = "btn084MAX020F010"		'科歴情報の４番目のチェックに対する印刷ボタン名  （診療科）
	Private Const sBTN_PTN_1_5 As String = "btn087MAX020F010"		'科歴情報の５番目のチェックに対する印刷ボタン名  （主病棟）
	Private Const sBTN_PTN_1_6 As String = "btn090MAX020F010"		'科歴情報の６番目のチェックに対する印刷ボタン名  （在院日数）
	Private Const sBTN_PTN_1_7 As String = "btn093MAX020F010"		'科歴情報の７番目のチェックに対する印刷ボタン名  （代表医師）
	Private Const sBTN_PTN_1_8 As String = "btn096MAX020F010"		'科歴情報の８番目のチェックに対する印刷ボタン名  （開始日）
	Private Const sBTN_PTN_1_9 As String = "btn099MAX020F010"		'科歴情報の９番目のチェックに対する印刷ボタン名  （開始時年齢）
	Private Const sBTN_PTN_1_10 As String = "btn102MAX020F010"		'科歴情報の１０番目のチェックに対する印刷ボタン名（開始経路）
	Private Const sBTN_PTN_1_11 As String = "btn112MAX020F010"		'科歴情報の１１番目のチェックに対する印刷ボタン名（終了日）
	Private Const sBTN_PTN_1_12 As String = "btn115MAX020F010"		'科歴情報の１２番目のチェックに対する印刷ボタン名（終了時年齢）
	Private Const sBTN_PTN_1_13 As String = "btn118MAX020F010"		'科歴情報の１３番目のチェックに対する印刷ボタン名（終了経路）
	Private Const sBTN_PTN_1_14 As String = "btn126MAX020F010"		'科歴情報の１４番目のチェックに対する印刷ボタン名（終了転帰）

	Private Const sBTN_PTN_2_1 As String = "btn137MAX020F010"		'病名タブの１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_2 As String = "btn154MAX020F010"		'病名タブの２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_3 As String = "btn157MAX020F010"		'病名タブの３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_4 As String = "btn160MAX020F010"		'病名タブの４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_5 As String = "btn163MAX020F010"		'病名タブの５番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_6 As String = "btn166MAX020F010"		'病名タブの６番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_7 As String = "btn169MAX020F010"		'病名タブの７番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_8 As String = "btn172MAX020F010"		'病名タブの８番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_9 As String = "btn145MAX020F010"		'病名タブの９番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_10 As String = "btn175MAX020F010"		'病名タブの１０番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_11 As String = "btn178MAX020F010"		'病名タブの１１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_12 As String = "btn181MAX020F010"		'病名タブの１２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_13 As String = "btn184MAX020F010"		'病名タブの１３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_14 As String = "btn189MAX020F010"		'病名タブの１４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_2_15 As String = "btn194MAX020F010"		'病名タブの１５番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_3_1 As String = "btn209MAX020F010"		'手術タブの１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_2 As String = "btn212MAX020F010"		'手術タブの２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_3 As String = "btn215MAX020F010"		'手術タブの３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_4 As String = "btn218MAX020F010"		'手術タブの４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_5 As String = "btn221MAX020F010"		'手術タブの５番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_6 As String = "btn224MAX020F010"		'手術タブの６番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_7 As String = "btn227MAX020F010"		'手術タブの７番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_8 As String = "btn230MAX020F010"		'手術タブの８番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_9 As String = "btn233MAX020F010"		'手術タブの９番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_10 As String = "btn236MAX020F010"		'手術タブの１０番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_11 As String = "btn239MAX020F010"		'手術タブの１１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_12 As String = "btn242MAX020F010"		'手術タブの１２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_13 As String = "btn206MAX020F010"		'手術タブの１３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_14 As String = "btn245MAX020F010"		'手術タブの１４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_15 As String = "btn248MAX020F010"		'手術タブの１５番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_16 As String = "btn251MAX020F010"		'手術タブの１６番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_17 As String = "btn254MAX020F010"		'手術タブの１７番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_18 As String = "btn257MAX020F010"		'手術タブの１８番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_19 As String = "btn260MAX020F010"		'手術タブの１９番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_20 As String = "btn263MAX020F010"		'手術タブの２０番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_4_1 As String = "btn278MAX020F010"		'治療処置タブの１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_2 As String = "btn281MAX020F010"		'治療処置タブの２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_3 As String = "btn284MAX020F010"		'治療処置タブの３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_4 As String = "btn287MAX020F010"		'治療処置タブの４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_5 As String = "btn290MAX020F010"		'治療処置タブの５番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_6 As String = "btn293MAX020F010"		'治療処置タブの６番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_7 As String = "btn275MAX020F010"		'治療処置タブの７番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_5_1 As String = "btn308MAX020F010"		'検査タブの１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_2 As String = "btn311MAX020F010"		'検査タブの２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_3 As String = "btn314MAX020F010"		'検査タブの３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_4 As String = "btn317MAX020F010"		'検査タブの４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_5 As String = "btn320MAX020F010"		'検査タブの５番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_6 As String = "btn323MAX020F010"		'検査タブの６番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_7 As String = "btn305MAX020F010"		'検査タブの７番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_6_1 As String = "btn367MAX020F010"		'紹介タブの１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_6_2 As String = "btn370MAX020F010"		'紹介タブの２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_6_3 As String = "btn373MAX020F010"		'紹介タブの３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_6_4 As String = "btn378MAX020F010"		'紹介タブの４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_6_5 As String = "btn381MAX020F010"		'紹介タブの５番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_6_6 As String = "btn384MAX020F010"		'紹介タブの６番目のチェックに対する印刷ボタン名

#End Region

#Region "変数"

	'IN項目
	Private pForm As frmBase = Nothing								'遷移元画面
	Private pPrint As Boolean = Nothing								'印刷フラグ
	Private pTitle As String = Nothing								'タイトル情報
	Private pSubTitle As String = Nothing							'サブタイトル
	Private pCondition As String = Nothing							'検索条件
	Private pPattern As String = Nothing							'出力パターン
	Private pCliSearch As XSP.clsSearch								'検索条件クラス
	Private pTblCd As String = Nothing								'検索条件選択用キー文字列

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">タイトル</param>
	''' <param name="pCondition">条件</param>
	''' <param name="pCliSearch">印刷出力用条件クラス</param>
	''' <param name="pTblCd">検索条件選択用キー文字列</param>
	''' <param name="pPattern">出力帳票パターン</param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase,
			ByVal pPrint As Boolean, _
			ByVal pTitle As String, _
			ByVal pCondition As String, _
			ByRef pCliSearch As XSP.clsSearch, _
			ByVal pTblCd As String, _
			ByVal pPattern As String)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pTitle = pTitle
		Me.pCondition = pCondition
		Me.pCliSearch = pCliSearch
		Me.pTblCd = pTblCd
		Me.pPattern = pPattern
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力処理
	''' </summary>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReport() As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力処理 Start")
		Dim cliAccess As XSP.clsXTM_PRINTSETTING_ACCESS
		Dim datAccess As XSP.datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As XSP.clsCom
		Dim FilePath As String = Nothing
		Dim flg As Boolean = False
		Try
			cliAccess = New XSP.clsXTM_PRINTSETTING_ACCESS
			cliCom = New XSP.clsCom

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBのパスを取得
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)
				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, sqlMAX020R020.sqlDel_MTW_CHK_CH_OBJECT, sqlMAX020R020.prmHOST_NM)

					'印刷用データ準備処理
					If Me.exeReportPre(db) = False Then
						Return False
					End If

					'データ件数確認
					Dim icnt = Me.GetPrtDatCnt(db)
					If icnt = 0 Then
						'データが存在しない
						Me.pForm.showMsg("E0004", Nothing, Nothing)
						Return flg
					End If
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
				End Using

				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					flg = False
				Else
					flg = True
				End If
			End Using
			Return flg
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ準備処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReportPre(ByRef db As XCM.clsDB) As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReportPre", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ準備処理 Start")
		Try
			'各チェックの帳票データを作成
			Select Case Me.pPattern
				'* 科歴系 *
				Case sBTN_PTN_1_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK1)
				Case sBTN_PTN_1_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK2)
				Case sBTN_PTN_1_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK3)
				Case sBTN_PTN_1_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK4)
				Case sBTN_PTN_1_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK5)
				Case sBTN_PTN_1_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK6)
				Case sBTN_PTN_1_7
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK7)
				Case sBTN_PTN_1_8
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK8)
				Case sBTN_PTN_1_9
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK9)
				Case sBTN_PTN_1_10
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK10)
				Case sBTN_PTN_1_11
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK11)
				Case sBTN_PTN_1_12
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK12)
				Case sBTN_PTN_1_13
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK13)
				Case sBTN_PTN_1_14
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK14)
				'* 病院タブ *
				Case sBTN_PTN_2_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK1)
				Case sBTN_PTN_2_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK2)
				Case sBTN_PTN_2_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK3)
				Case sBTN_PTN_2_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK4)
				Case sBTN_PTN_2_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK5)
				Case sBTN_PTN_2_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK6)
				Case sBTN_PTN_2_7
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK7)
				Case sBTN_PTN_2_8
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK8)
				Case sBTN_PTN_2_9
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK9)
				Case sBTN_PTN_2_10
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK10)
				Case sBTN_PTN_2_11
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK11)
				Case sBTN_PTN_2_12
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK12)
				Case sBTN_PTN_2_13
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK13)
				Case sBTN_PTN_2_14
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK14)
				Case sBTN_PTN_2_15
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DISEASE_CHK15)
				'* 手術タブ *
				Case sBTN_PTN_3_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK1)
				Case sBTN_PTN_3_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK2)
				Case sBTN_PTN_3_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK3)
				Case sBTN_PTN_3_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK4)
				Case sBTN_PTN_3_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK5)
				Case sBTN_PTN_3_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK6)
				Case sBTN_PTN_3_7
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK7)
				Case sBTN_PTN_3_8
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK8)
				Case sBTN_PTN_3_9
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK9)
				Case sBTN_PTN_3_10
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK10)
				Case sBTN_PTN_3_11
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK11)
				Case sBTN_PTN_3_12
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK12)
				Case sBTN_PTN_3_13
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK13)
				Case sBTN_PTN_3_14
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK14)
				Case sBTN_PTN_3_15
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK15)
				Case sBTN_PTN_3_16
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK16)
				Case sBTN_PTN_3_17
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK17)
				Case sBTN_PTN_3_18
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK18)
				Case sBTN_PTN_3_19
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK19)
				Case sBTN_PTN_3_20
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK20)
				'* 治療処置タブ *
				Case sBTN_PTN_4_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CARE_CHK1)
				Case sBTN_PTN_4_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CARE_CHK2)
				Case sBTN_PTN_4_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CARE_CHK3)
				Case sBTN_PTN_4_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CARE_CHK4)
				Case sBTN_PTN_4_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CARE_CHK5)
				Case sBTN_PTN_4_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CARE_CHK6)
				Case sBTN_PTN_4_7
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CARE_CHK7)
				'* 検査タブ *
				Case sBTN_PTN_5_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_TEST_CHK1)
				Case sBTN_PTN_5_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_TEST_CHK2)
				Case sBTN_PTN_5_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_TEST_CHK3)
				Case sBTN_PTN_5_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_TEST_CHK4)
				Case sBTN_PTN_5_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_TEST_CHK5)
				Case sBTN_PTN_5_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_TEST_CHK6)
				Case sBTN_PTN_5_7
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_TEST_CHK7)
				'* 紹介タブ *
				Case sBTN_PTN_6_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CNL_CHK1)
				Case sBTN_PTN_6_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CNL_CHK2)
				Case sBTN_PTN_6_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CNL_CHK3)
				Case sBTN_PTN_6_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CNL_CHK4)
				Case sBTN_PTN_6_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CNL_CHK5)
				Case sBTN_PTN_6_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CNL_CHK6)
				Case Else
					Return False
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ件数の確認
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPrtDatCnt(ByRef db As XCM.clsDB) As Integer
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDatCnt", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ件数の確認 Start")
		Dim icnt As Integer = 0
		Try
			Using dat As New DataTable
				'SQL文生成、パラメータ設定
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_SEL_MTW_CHK_CH_OBJECT)
				db.setParamDa(sqlMAX020R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX020R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				db.execQueryDa(dat)

				For Each tmprow As DataRow In dat.Rows
					'件数取得
					icnt = tmprow.Item(sqlMAX020R020.itmCOUNTER)
					Exit For
				Next tmprow
			End Using
			Return icnt
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データの取得（１回のSQL発行で件数が取得できるもの用）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tbltyp">実行SQL識別ID</param>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetPrtDat(ByRef db As XCM.clsDB, ByVal tbltyp As Enum_SQLID)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDat", CST_LOG_PRODUCT, CST_LOG_CLASS, "件数の取得（１回のSQL発行で件数が取得できるもの用） Start")
		Try
			'SQL文生成、パラメータ設定
			Me.setSQL(db, Nothing, tbltyp)
			db.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="prcId">
	''' 取得SQLID
	''' （Enum_SQLID値）
	''' </param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSQL(ByRef db As XCM.clsDB, ByRef sql As String, Optional ByVal prcId As Integer = Nothing)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetSQL", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Try
			Dim strCnd As String = Nothing

			If Me.pCliSearch.getSearch(Me.pForm) = False Then Exit Sub

			'対象のSQL分を設定する
			Select Case prcId
				'* 科歴情報関連
				'病歴番号
				Case Enum_SQLID.SQLID_MTI_CH_CHK1
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK1_PRT)

				'郵便番号
				Case Enum_SQLID.SQLID_MTI_CH_CHK2
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK2_PRT)

				'診療圏
				Case Enum_SQLID.SQLID_MTI_CH_CHK3
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK3_PRT)

				'診療科
				Case Enum_SQLID.SQLID_MTI_CH_CHK4
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK4_PRT)

				'主病棟
				Case Enum_SQLID.SQLID_MTI_CH_CHK5
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK5_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmMAIN_WARD_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R020.prmMAIN_WARD_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'在院日数
				Case Enum_SQLID.SQLID_MTI_CH_CHK6
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK6_PRT)

				'代表医師
				Case Enum_SQLID.SQLID_MTI_CH_CHK7
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK7_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmMAIN_DOCTOR_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R020.prmMAIN_DOCTOR_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'開始日
				Case Enum_SQLID.SQLID_MTI_CH_CHK8
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK8_PRT)

				'開始時年齢
				Case Enum_SQLID.SQLID_MTI_CH_CHK9
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK9_PRT)

				'開始経路
				Case Enum_SQLID.SQLID_MTI_CH_CHK10
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK10_PRT)

				'終了日
				Case Enum_SQLID.SQLID_MTI_CH_CHK11
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK11_PRT)

				'終了時年齢
				Case Enum_SQLID.SQLID_MTI_CH_CHK12
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK12_PRT)

				'終了経路
				Case Enum_SQLID.SQLID_MTI_CH_CHK13
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK13_PRT)

				'終了転帰
				Case Enum_SQLID.SQLID_MTI_CH_CHK14
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CH_CHK14_PRT)


				'* 病名タブ情報関連
				'病名
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK1
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK1_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'大分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK2
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK2_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'中分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK3
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK3_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'小分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK4
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK4_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'３００分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK5
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK5_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'a分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK6
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK6_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'b分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK7
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK7_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'c分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK8
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK8_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'病名区分
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK9
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK9_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'病名転帰
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK10
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK10_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'発症日
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK11
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK11_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'診断日
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK12
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK12_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'終了日
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK13
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK13_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)

				'死因分類
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK14
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK14_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmDEATH_DISEASE_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R020.prmDEATH_DISEASE_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'死因分類(外因)
				Case Enum_SQLID.SQLID_MTI_DISEASE_CHK15
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_DISEASE_CHK15_PRT, clsMAXCOMMON.CST_TABLECD_MTI_DISEASE)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmDEATH_CAUSE_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R020.prmDEATH_CAUSE_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)


				'* 手術タブ情報関連
				'ICD9CM
				Case Enum_SQLID.SQLID_MTI_OPE_CHK1
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK1_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'大分類
				Case Enum_SQLID.SQLID_MTI_OPE_CHK2
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK2_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'中分類
				Case Enum_SQLID.SQLID_MTI_OPE_CHK3
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK3_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'３桁分類
				Case Enum_SQLID.SQLID_MTI_OPE_CHK4
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK4_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'開始日
				Case Enum_SQLID.SQLID_MTI_OPE_CHK5
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK5_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'開始時刻
				Case Enum_SQLID.SQLID_MTI_OPE_CHK6
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK6_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'終了日
				Case Enum_SQLID.SQLID_MTI_OPE_CHK7
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK7_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'終了時刻
				Case Enum_SQLID.SQLID_MTI_OPE_CHK8
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK8_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'対応病名
				Case Enum_SQLID.SQLID_MTI_OPE_CHK9
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK9_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'所要時間
				Case Enum_SQLID.SQLID_MTI_OPE_CHK10
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK10_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'医師
				Case Enum_SQLID.SQLID_MTI_OPE_CHK11
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK11_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'術前日数
				Case Enum_SQLID.SQLID_MTI_OPE_CHK12
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK12_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'手術区分
				Case Enum_SQLID.SQLID_MTI_OPE_CHK13
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK13_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'麻酔１
				Case Enum_SQLID.SQLID_MTI_OPE_CHK14
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK14_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'補助区分１
				Case Enum_SQLID.SQLID_MTI_OPE_CHK15
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK15_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'補助区分２
				Case Enum_SQLID.SQLID_MTI_OPE_CHK16
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK16_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'術後日数
				Case Enum_SQLID.SQLID_MTI_OPE_CHK17
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK17_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'点数表ｺｰﾄﾞ
				Case Enum_SQLID.SQLID_MTI_OPE_CHK18
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK18_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'備考１
				Case Enum_SQLID.SQLID_MTI_OPE_CHK19
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK19_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)

				'備考２
				Case Enum_SQLID.SQLID_MTI_OPE_CHK20
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_OPE_CHK20_PRT, clsMAXCOMMON.CST_TABLECD_MTI_OPE)


				'* 治療処置タブ情報関連
				'ICD9CM
				Case Enum_SQLID.SQLID_MTI_CARE_CHK1
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CARE_CHK1_PRT, clsMAXCOMMON.CST_TABLECD_MTI_CARE)

				'大分類
				Case Enum_SQLID.SQLID_MTI_CARE_CHK2
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CARE_CHK2_PRT, clsMAXCOMMON.CST_TABLECD_MTI_CARE)

				'中分類
				Case Enum_SQLID.SQLID_MTI_CARE_CHK3
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CARE_CHK3_PRT, clsMAXCOMMON.CST_TABLECD_MTI_CARE)

				'３桁分類
				Case Enum_SQLID.SQLID_MTI_CARE_CHK4
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CARE_CHK4_PRT, clsMAXCOMMON.CST_TABLECD_MTI_CARE)

				'実施日
				Case Enum_SQLID.SQLID_MTI_CARE_CHK5
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CARE_CHK5_PRT, clsMAXCOMMON.CST_TABLECD_MTI_CARE)

				'補助区分
				Case Enum_SQLID.SQLID_MTI_CARE_CHK6
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CARE_CHK6_PRT, clsMAXCOMMON.CST_TABLECD_MTI_CARE)

				'治療処置区分
				Case Enum_SQLID.SQLID_MTI_CARE_CHK7
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_CARE_CHK7_PRT, clsMAXCOMMON.CST_TABLECD_MTI_CARE)


				'* 検査タブ情報関連
				'ICD9CM
				Case Enum_SQLID.SQLID_MTI_TEST_CHK1
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_TEST_CHK1_PRT, clsMAXCOMMON.CST_TABLECD_MTI_TEST)

				'大分類
				Case Enum_SQLID.SQLID_MTI_TEST_CHK2
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_TEST_CHK2_PRT, clsMAXCOMMON.CST_TABLECD_MTI_TEST)

				'中分類
				Case Enum_SQLID.SQLID_MTI_TEST_CHK3
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_TEST_CHK3_PRT, clsMAXCOMMON.CST_TABLECD_MTI_TEST)

				'３桁分類
				Case Enum_SQLID.SQLID_MTI_TEST_CHK4
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_TEST_CHK4_PRT, clsMAXCOMMON.CST_TABLECD_MTI_TEST)

				'実施日
				Case Enum_SQLID.SQLID_MTI_TEST_CHK5
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_TEST_CHK5_PRT, clsMAXCOMMON.CST_TABLECD_MTI_TEST)

				'補助区分
				Case Enum_SQLID.SQLID_MTI_TEST_CHK6
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_TEST_CHK6_PRT, clsMAXCOMMON.CST_TABLECD_MTI_TEST)

				'検査区分
				Case Enum_SQLID.SQLID_MTI_TEST_CHK7
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_TEST_CHK7_PRT, clsMAXCOMMON.CST_TABLECD_MTI_TEST)


				'* 紹介タブ情報関連
				'医療機関コード(開始経路が紹介)
				Case Enum_SQLID.SQLID_MTI_HSP_CNL_CHK1
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_HSP_CNL_CHK1_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmFIXED_CD3, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX020R020.prmFIXED_CD3, XCM.clsConst.Enum_HspChannel_Fix3.Introduction)

				'医療機関名(開始経路が紹介)
				Case Enum_SQLID.SQLID_MTI_HSP_CNL_CHK2
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_HSP_CNL_CHK2_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmFIXED_CD3, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX020R020.prmFIXED_CD3, XCM.clsConst.Enum_HspChannel_Fix3.Introduction)

				'医師名(開始経路が紹介)
				Case Enum_SQLID.SQLID_MTI_HSP_CNL_CHK3
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_HSP_CNL_CHK3_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmFIXED_CD3, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX020R020.prmFIXED_CD3, XCM.clsConst.Enum_HspChannel_Fix3.Introduction)

				'医療機関コード(終了経路が紹介)
				Case Enum_SQLID.SQLID_MTI_HSP_CNL_CHK4
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_HSP_CNL_CHK4_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmFIXED_CD3, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX020R020.prmFIXED_CD3, XCM.clsConst.Enum_HspChannel_Fix3.Introduction)

				'医療機関名(終了経路が紹介)
				Case Enum_SQLID.SQLID_MTI_HSP_CNL_CHK5
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_HSP_CNL_CHK5_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmFIXED_CD3, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX020R020.prmFIXED_CD3, XCM.clsConst.Enum_HspChannel_Fix3.Introduction)

				'医師名(終了経路が紹介)
				Case Enum_SQLID.SQLID_MTI_HSP_CNL_CHK6
					Me.setSubSql(db, sqlMAX020R020.sqlIns_MTI_HSP_CNL_CHK6_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R020.prmFIXED_CD3, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX020R020.prmFIXED_CD3, XCM.clsConst.Enum_HspChannel_Fix3.Introduction)


				'* 帳票出力関連
				'TW_チェック入退院対象一覧テーブルのデータ件数確認
				Case Enum_SQLID.SQLID_SEL_MTW_CHK_CH_OBJECT
					sql = sqlMAX020R020.sqlSel_MTW_CHK_CH_OBJECT
					db.setSQLDa(sql)
					'パラメータは呼び出し側で設定
				Case Else

			End Select

			'帳票出力関連以外の場合、以下のパラメータを設定
			If prcId.Equals(Enum_SQLID.SQLID_SEL_MTW_CHK_CH_OBJECT) = False Then
				'共通設定パラメータ
				db.setParam(sqlMAX020R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParam(sqlMAX020R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParam(sqlMAX020R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
				db.setVal(sqlMAX020R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				db.setVal(sqlMAX020R020.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
				db.setVal(sqlMAX020R020.prmLASTUPD_DT, DateTime.Now())
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <remarks>
	''' 2011/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSubSql(ByRef db As XCM.clsDB, ByVal sql As String, Optional ByVal addTblCd As String = Nothing)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSubSql", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Dim where As String = Nothing
		Try
			where = Me.pCliSearch.getSqlWhere(Me.pTblCd)
			If addTblCd IsNot Nothing Then
				where &= Me.pCliSearch.getSqlWhere(addTblCd)
			End If
			db.setSQL(String.Format(sql, where))
			If Debugger.IsAttached = True Then Debug.Print(String.Format(sql, where))
			Me.pCliSearch.setDbParam(db, Me.pTblCd)
			If addTblCd IsNot Nothing Then
				Me.pCliSearch.setDbParam(db, addTblCd)
			End If

		Catch ex As Exception
			Throw
		Finally
			where = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getHeaderData() As datHeader
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.TITLE_NM = Me.pTitle								'タイトル
				.STR1 = Me.pSubTitle								'サブタイトル
				.STR2 = Me.pCondition								'検索条件
				.STR3 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)	  '病歴番号
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

#End Region

End Class