﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 論理チェック帳票（入退院対象一覧）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX030R010

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits System.Runtime.ConstrainedExecution.CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements System.IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pTitle = Nothing
			Me.pCondition = Nothing
			Me.pcliSearch = Nothing
			Me.pPattern = 0
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"

	'対応SQL取得用
	Private Enum Enum_SQLID As Integer
		'* 入退院情報関連 *
		SQLID_MTI_HSP_BASE = 1										'入退院情報比較元データ取得用
		SQLID_MTI_HSP_CHK1 = 2										'入院日が前の退院日より過去のデータ件数チェック用
		SQLID_MTI_HSP_CHK2 = 3										'退院日が次の入院日より未来のデータ件数チェック用
		SQLID_MTI_HSP_CHK3 = 4										'退院転帰「死亡」が複数存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK4 = 5										'入院契機が１入退院内に複数存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK5 = 6										'医療投入資源１位が１入退院内に２つ以上存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK6 = 7										'医療投入資源２位が１入退院内に２つ以上存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK7_SUB1 = 8									'入退院歴内の科歴の前後関係チェック比較元データ取得用
		SQLID_MTI_HSP_CHK7_SUB2 = 9									'入退院歴内の科歴の前後関係チェック比較先データ取得用
		'* 死亡情報関連 *
		SQLID_MTI_DEATH_CHK1 = 10									'死亡日と最新入退院歴の退院日が一致しないデータ件数取得用
		'* 帳票出力用ワークテーブル操作用 *				
		SQLID_SEL_MTW_CHK_HSP_OBJECT = 11							'TW_チェック入退院対象一覧のデータ件数確認
		SQLID_INS_MTW_CHK_HSP_OBJECT = 12							'TW_チェック入退院対象一覧へデータの挿入
	End Enum

	Private Const CST_LOG_PRODUCT As String = "診療情報管理"
	Private Const CST_LOG_CLASS As String = "論理チェック印刷（入退院対象一覧）"

	Private Const sBTN_PTN_1_1 As String = "btn006MAX030F010"		'入退院情報の１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_1_2 As String = "btn009MAX030F010"		'入退院情報の２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_1_3 As String = "btn012MAX030F010"		'入退院情報の３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_1_4 As String = "btn015MAX030F010"		'入退院情報の４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_1_5 As String = "btn018MAX030F010"		'入退院情報の５番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_1_6 As String = "btn021MAX030F010"		'入退院情報の６番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_1_7 As String = "btn024MAX030F010"		'入退院情報の７番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_2_1 As String = "btn029MAX030F010"		'死亡情報の１番目のチェックに対する印刷ボタン名

#End Region

#Region "変数"

	'IN項目
	Private pForm As frmBase = Nothing								'遷移元画面
	Private pPrint As Boolean = Nothing								'印刷フラグ
	Private pTitle As String = Nothing								'タイトル情報
	Private pSubTitle As String = Nothing							'サブタイトル
	Private pCondition As String = Nothing							'検索条件
	Private pPattern As String = Nothing							'出力パターン
	Private pCliSearch As XSP.clsSearch								'検索条件クラス
	Private pTblCd As String = Nothing								'検索条件選択用キー文字列

	Private strENV0005 As String									'動作環境（転科、転棟の終了日、開始日の関係）

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">タイトル</param>
	''' <param name="pCondition">条件</param>
	''' <param name="pCliSearch">印刷出力用条件クラス</param>
	''' <param name="pTblCd">検索条件選択用キー文字列</param>
	''' <param name="pPattern">出力帳票パターン</param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase,
			ByVal pPrint As Boolean, _
			ByVal pTitle As String, _
			ByVal pCondition As String, _
			ByRef pCliSearch As XSP.clsSearch, _
			ByVal pTblCd As String, _
			ByVal pPattern As String)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pTitle = pTitle
		Me.pCondition = pCondition
		Me.pCliSearch = pCliSearch
		Me.pTblCd = pTblCd
		Me.pPattern = pPattern
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力処理
	''' </summary>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReport() As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力処理 Start")
		Dim cliAccess As XSP.clsXTM_PRINTSETTING_ACCESS
		Dim datAccess As XSP.datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As XSP.clsCom
		Dim sTitleWrk() As String
		Dim FilePath As String = Nothing
		Dim flg As Boolean = False
		Try
			cliAccess = New XSP.clsXTM_PRINTSETTING_ACCESS
			cliCom = New XSP.clsCom

			'動作環境の取得
			'（転科、転棟の終了日、開始日の関係）
			Me.strENV0005 = XCM.clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005)

			'タイトル、サブタイトルの取得
			sTitleWrk = Split(Me.pTitle, ",")
			Me.pTitle = sTitleWrk(0)
			Me.pSubTitle = sTitleWrk(1)

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBのパスを取得
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)
				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, sqlMAX030R010.sqlDel_MTW_CHK_HSP_OBJECT, sqlMAX030R010.prmHOST_NM)

					'印刷用データ準備処理
					If Me.exeReportPre(db) = False Then
						Return False
					End If

					'データ件数確認
					Dim icnt = Me.GetPrtDatCnt(db)
					If icnt = 0 Then
						'データが存在しない
						Me.pForm.showMsg("E0004", Nothing, Nothing)
						Return flg
					End If
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
				End Using

				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					flg = False
				Else
					flg = True
				End If
			End Using
			Return flg
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ準備処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReportPre(ByRef db As XCM.clsDB) As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReportPre", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ準備処理 Start")
		Try
			'各チェックの帳票データを作成
			Select Case Me.pPattern
				'* 入退院情報系 *
				Case sBTN_PTN_1_1
					Me.GetMTI_HSP_CHK1(db)
				Case sBTN_PTN_1_2
					Me.GetMTI_HSP_CHK2(db)
				Case sBTN_PTN_1_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK3)
				Case sBTN_PTN_1_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK4)
				Case sBTN_PTN_1_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK5)
				Case sBTN_PTN_1_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK6)
				Case sBTN_PTN_1_7
					Me.GetMTI_HSP_CHK7(db)

				'* 死亡情報系 *
				Case sBTN_PTN_2_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_DEATH_CHK1)

				Case Else
					Return False
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ件数の確認
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPrtDatCnt(ByRef db As XCM.clsDB) As Integer
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDatCnt", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ件数の確認 Start")
		Dim icnt As Integer = 0
		Try
			Using dat As New DataTable
				'SQL文生成、パラメータ設定
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_SEL_MTW_CHK_HSP_OBJECT)
				db.setParamDa(sqlMAX030R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX030R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				db.execQueryDa(dat)

				For Each tmprow As DataRow In dat.Rows
					'件数取得
					icnt = tmprow.Item(sqlMAX030R010.itmCOUNTER)
					Exit For
				Next tmprow
			End Using
			Return icnt
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データの取得（１回のSQL発行で件数が取得できるもの用）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tbltyp">実行SQL識別ID</param>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetPrtDat(ByRef db As XCM.clsDB, ByVal tbltyp As Enum_SQLID)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDat", CST_LOG_PRODUCT, CST_LOG_CLASS, "件数の取得（１回のSQL発行で件数が取得できるもの用） Start")
		Try
			'SQL文生成、パラメータ設定
			Me.setSQL(db, Nothing, tbltyp)
			db.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入院日が前の退院日よりも過去日のチェック
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_HSP_CHK1(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_HSP_CHK1", CST_LOG_PRODUCT, CST_LOG_CLASS, "入院日が前の退院日よりも過去日のチェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_BASE)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R010.itmPATIENT_NO).ToString
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R010.itmHSP_HISTORY_NO)
				Dim sHSP_DT As String = tmpdatM.Item(sqlMAX030R010.itmHSP_DT).ToString
				Dim sOUT_HSP_DT As String = Nothing
				Dim sBYOREKI_NO As String = Nothing
				Dim sPATIENT_NM As String = Nothing
				Dim sDEPT_CD As String = Nothing
				Dim sDOCTOR_CD As String = Nothing

				'比較先データの取得
				datR.Clear()
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK1)
				db.setParamDa(sqlMAX030R010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlMAX030R010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
				db.setValDa(sqlMAX030R010.prmPATIENT_NO, sPATIENT_NO)
				db.setValDa(sqlMAX030R010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
				db.execQueryDa(datR)

				For Each tmpdatR As DataRow In datR.Rows
					'入院日取得
					sOUT_HSP_DT = tmpdatR.Item(sqlMAX030R010.itmOUT_HSP_DT).ToString

					'入院日が前の退院日よりも過去
					If String.IsNullOrEmpty(sHSP_DT) = False AndAlso _
						String.IsNullOrEmpty(sOUT_HSP_DT) = False AndAlso _
						Date.Compare(Date.Parse(sHSP_DT), Date.Parse(sOUT_HSP_DT)) = -1 Then
						'エラー
						'帳票出力用データ取得
						sBYOREKI_NO = tmpdatM.Item(sqlMAX030R010.itmBYOREKI_NO).ToString
						sPATIENT_NM = tmpdatM.Item(sqlMAX030R010.itmPATIENT_NM).ToString
						sDEPT_CD = tmpdatM.Item(sqlMAX030R010.itmDEPT_CD).ToString
						sDOCTOR_CD = tmpdatM.Item(sqlMAX030R010.itmDOCTOR_CD).ToString

						'帳票出力用ワークテーブルへ格納
						Me.InsMTW_CHK_HSP_OBJECT(db, _
													sPATIENT_NO, _
													iHSP_HISTORY_NO, _
													sBYOREKI_NO, _
													sPATIENT_NM, _
													sDEPT_CD, _
													sDOCTOR_CD, _
													sOUT_HSP_DT, _
													Nothing, Nothing, Nothing)
					End If
					Exit For
				Next tmpdatR
			Next tmpdatM
		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 退院日が次の入院日よりも未来日のチェック
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_HSP_CHK2(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_HSP_CHK2", CST_LOG_PRODUCT, CST_LOG_CLASS, "退院日が次の入院日よりも未来日のチェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_BASE)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R010.itmPATIENT_NO).ToString
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R010.itmHSP_HISTORY_NO)
				Dim sHSP_DT As String = Nothing
				Dim sOUT_HSP_DT As String = tmpdatM.Item(sqlMAX030R010.itmOUT_HSP_DT).ToString
				Dim sBYOREKI_NO As String = Nothing
				Dim sPATIENT_NM As String = Nothing
				Dim sDEPT_CD As String = Nothing
				Dim sDOCTOR_CD As String = Nothing

				'比較先データの取得
				datR.Clear()
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK2)
				db.setParamDa(sqlMAX030R010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlMAX030R010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
				db.setValDa(sqlMAX030R010.prmPATIENT_NO, sPATIENT_NO)
				db.setValDa(sqlMAX030R010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
				db.execQueryDa(datR)

				For Each tmpdatR As DataRow In datR.Rows
					'入院日取得
					sHSP_DT = tmpdatR.Item(sqlMAX030R010.itmHSP_DT).ToString

					'退院日が次の入院日よりも未来
					If (String.IsNullOrEmpty(sOUT_HSP_DT) = False AndAlso _
						String.IsNullOrEmpty(sHSP_DT) = False AndAlso _
						Date.Compare(Date.Parse(sOUT_HSP_DT), Date.Parse(sHSP_DT)) = 1) Then
						'エラー
						'帳票出力用データ取得
						sBYOREKI_NO = tmpdatM.Item(sqlMAX030R010.itmBYOREKI_NO).ToString
						sPATIENT_NM = tmpdatM.Item(sqlMAX030R010.itmPATIENT_NM).ToString
						sDEPT_CD = tmpdatM.Item(sqlMAX030R010.itmDEPT_CD).ToString
						sDOCTOR_CD = tmpdatM.Item(sqlMAX030R010.itmDOCTOR_CD).ToString

						'帳票出力用ワークテーブルへ格納
						Me.InsMTW_CHK_HSP_OBJECT(db, _
													sPATIENT_NO, _
													iHSP_HISTORY_NO, _
													sBYOREKI_NO, _
													sPATIENT_NM, _
													sDEPT_CD, _
													sDOCTOR_CD, _
													sOUT_HSP_DT, _
													Nothing, Nothing, Nothing)
					End If
					Exit For
				Next tmpdatR
			Next tmpdatM

		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入退院歴内の科歴の前後関係チェック
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_HSP_CHK7(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_HSP_CHK7", CST_LOG_PRODUCT, CST_LOG_CLASS, "入退院歴内の科歴の前後関係チェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB1)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R010.itmPATIENT_NO)
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R010.itmHSP_HISTORY_NO)
				Dim sOUT_HSP_DT As String = Nothing
				Dim sBYOREKI_NO As String = Nothing
				Dim sPATIENT_NM As String = Nothing
				Dim sDEPT_CD As String = Nothing
				Dim sDOCTOR_CD As String = Nothing
				Dim sTMP_START_DT As String = Nothing
				Dim sTMP_END_DT As String = Nothing

				'チェック先情報の取得
				datR.Clear()
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB2)
				db.setParamDa(sqlMAX030R010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlMAX030R010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlMAX030R010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX030R010.prmPATIENT_NO, sPATIENT_NO)
				db.setValDa(sqlMAX030R010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
				db.setValDa(sqlMAX030R010.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.HoldDept)
				db.execQueryDa(datR)

				'比較処理
				For Each tmpdatR As DataRow In datR.Rows
					Dim errflg As Boolean = False

					'開始日の取得
					sTMP_START_DT = tmpdatR.Item(sqlMAX030R010.itmSTART_DT).ToString

					'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
					Select Case Me.strENV0005
						'同一日
						Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
							'１つ前の科歴情報の終了日と、比較元科歴情報の開始日が異なる？
							If String.IsNullOrEmpty(sTMP_START_DT) = False AndAlso _
								String.IsNullOrEmpty(sTMP_END_DT) = False AndAlso _
								Date.Compare(Date.Parse(sTMP_START_DT), Date.Parse(sTMP_END_DT)) <> 0 Then
								errflg = True
							End If
						'一日ずらす
						Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
							'１つ前の科歴情報の終了日と、比較元科歴情報の開始日（および１日ずらした開始日）が異なる？
							If String.IsNullOrEmpty(sTMP_START_DT) = False AndAlso _
								String.IsNullOrEmpty(sTMP_END_DT) = False Then
								Dim bfrDay As String = Date.Parse(sTMP_START_DT).AddDays(-1)
								If Date.Compare(Date.Parse(sTMP_START_DT), Date.Parse(sTMP_END_DT)) <> 0 AndAlso _
									Date.Compare(Date.Parse(bfrDay), Date.Parse(sTMP_END_DT)) <> 0 Then
									errflg = True
								End If
							End If
						Case Else
					End Select

					'エラーの場合
					If errflg = True Then
						sOUT_HSP_DT = tmpdatM.Item(sqlMAX030R010.itmOUT_HSP_DT).ToString
						sBYOREKI_NO = tmpdatM.Item(sqlMAX030R010.itmBYOREKI_NO).ToString
						sPATIENT_NM = tmpdatM.Item(sqlMAX030R010.itmPATIENT_NM).ToString
						sDEPT_CD = tmpdatM.Item(sqlMAX030R010.itmDEPT_CD).ToString
						sDOCTOR_CD = tmpdatM.Item(sqlMAX030R010.itmDOCTOR_CD).ToString

						'帳票出力用ワークテーブルへ格納
						Me.InsMTW_CHK_HSP_OBJECT(db, _
													sPATIENT_NO, _
													iHSP_HISTORY_NO, _
													sBYOREKI_NO, _
													sPATIENT_NM, _
													sDEPT_CD, _
													sDOCTOR_CD, _
													sOUT_HSP_DT, _
													Nothing, Nothing, Nothing)
						Exit For
					End If

					'終了日の取得
					sTMP_END_DT = tmpdatR.Item(sqlMAX030R010.itmEND_DT).ToString
				Next tmpdatR
			Next tmpdatM

		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="prcId">
	''' 取得SQLID
	''' （Enum_SQLID値）
	''' </param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSQL(ByRef db As XCM.clsDB, ByRef sql As String, Optional ByVal prcId As Integer = Nothing)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSQL", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Try
			Dim strCnd As String = Nothing

			If Me.pCliSearch.getSearch(Me.pForm) = False Then Exit Sub

			'対象のSQL分を設定する
			Select Case prcId
				'* 入退院情報関連
				'入退院情報チェック用比較元データ取得（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_BASE
					Me.setSubSql(db, sqlMAX030R010.sqlSel_MTI_HSP_BASE, True)

				'１つ前の入院日、退院日チェック用（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK1
					sql = sqlMAX030R010.sqlSel_MTI_HSP_CHK1
					sql &= sqlMAX030R010.sqlSel_MTI_HSP_BASE_ORD2
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定

				'１つ次の入院日、退院日チェック用（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK2
					sql = sqlMAX030R010.sqlSel_MTI_HSP_CHK2
					sql &= sqlMAX030R010.sqlSel_MTI_HSP_BASE_ORD1
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定

				'退院転帰が死亡のものが複数存在する（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK3
					Me.setSubSqlIns(db, sqlMAX030R010.sqlIns_MTI_HSP_CHK3_PRT & sqlMAX030R010.sqlIns_MTI_HSP_GRP_PRT, True)
					'追加設定パラメータ
					db.setParam(sqlMAX030R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmFIXED_CD_A, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmFIXED_CD_B, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX030R010.prmFIXED_CD_A, XCM.clsConst.Enum_DiscchargeOutcome_Fix1.Decease)
					db.setVal(sqlMAX030R010.prmFIXED_CD_B, XCM.clsConst.Enum_HspChannel_Fix1.HoldDept)
					db.setVal(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX030R010.prmLASTUPD_DT, DateTime.Now())

				'入院契機が１入退院内に複数存在（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK4
					Me.setSubSqlIns(db, sqlMAX030R010.sqlIns_MTI_HSP_CHK4_PRT & sqlMAX030R010.sqlIns_MTI_HSP_GRP_PRT, True)
					'追加設定パラメータ
					db.setParam(sqlMAX030R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmHSP_CHANCE_DISEASE_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX030R010.prmHSP_CHANCE_DISEASE_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)
					db.setVal(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX030R010.prmLASTUPD_DT, DateTime.Now())

				'医療投入資源１位が１入退院内に２つ以上存在（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK5
					Me.setSubSqlIns(db, sqlMAX030R010.sqlIns_MTI_HSP_CHK5_PRT & sqlMAX030R010.sqlIns_MTI_HSP_GRP_PRT, True)
					'追加設定パラメータ
					db.setParam(sqlMAX030R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmDISEASE_MED_RES_FLG1, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX030R010.prmDISEASE_MED_RES_FLG1, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)
					db.setVal(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX030R010.prmLASTUPD_DT, DateTime.Now())

				'医療投入資源２位が１入退院内に２つ以上存在（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK6
					Me.setSubSqlIns(db, sqlMAX030R010.sqlIns_MTI_HSP_CHK6_PRT & sqlMAX030R010.sqlIns_MTI_HSP_GRP_PRT, True)
					'追加設定パラメータ
					db.setParam(sqlMAX030R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmDISEASE_MED_RES_FLG2, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX030R010.prmDISEASE_MED_RES_FLG2, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)
					db.setVal(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX030R010.prmLASTUPD_DT, DateTime.Now())

				'入退院歴内の科歴の前後関係元データ取得
				Case Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB1
					Me.setSubSql(db, sqlMAX030R010.sqlSel_MTI_HSP_CHK7_SUB1, True)

				'１つ前の開始日、終了日取得（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB2
					sql = sqlMAX030R010.sqlSel_MTI_HSP_CHK7_SUB2
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定


				'* 死亡情報関連
				'死亡日と最新入退院歴の退院日が一致しない件数取得
				Case Enum_SQLID.SQLID_MTI_DEATH_CHK1
					Me.setSubSqlIns(db, sqlMAX030R010.sqlIns_MTI_DEATH_CHK1_PRT, True)
					'追加設定パラメータ
					db.setParam(sqlMAX030R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX030R010.prmFIXED_CD, XCM.clsConst.Enum_DiscchargeOutcome_Fix1.Decease)
					db.setVal(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX030R010.prmLASTUPD_DT, DateTime.Now())


				'* 帳票出力関連
				'TW_チェック入退院対象一覧テーブルのデータ件数確認
				Case Enum_SQLID.SQLID_SEL_MTW_CHK_HSP_OBJECT
					sql = sqlMAX030R010.sqlSel_MTW_CHK_HSP_OBJECT
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し側で設定


				'TW_チェック入退院対象一覧テーブルへデータの挿入
				Case Enum_SQLID.SQLID_INS_MTW_CHK_HSP_OBJECT
					sql = sqlMAX030R010.sqlIns_MTW_CHK_HSP_OBJECT
					db.setSQL(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し側で設定

				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="condFlg">Where句接頭語変換可否フラグ</param>
	''' <remarks>
	''' 2011/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSubSql(ByRef db As XCM.clsDB, ByVal sql As String, Optional ByVal condFlg As Boolean = False)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSubSql", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Dim where As String = Nothing
		Try
			where = Me.pCliSearch.getSqlWhere(Me.pTblCd, condFlg)
			db.setSQLDa(String.Format(sql, where))
			If Debugger.IsAttached = True Then Debug.Print(String.Format(sql, where))
			Me.pCliSearch.setDbParamDa(db, Me.pTblCd)
		Catch ex As Exception
			Throw
		Finally
			where = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成（Insert用）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="condFlg">Where句接頭語変換可否フラグ</param>
	''' <remarks>
	''' 2011/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSubSqlIns(ByRef db As XCM.clsDB, ByVal sql As String, Optional ByVal condFlg As Boolean = False)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSubSql", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Dim where As String = Nothing
		Try
			where = Me.pCliSearch.getSqlWhere(Me.pTblCd, condFlg)
			db.setSQL(String.Format(sql, where))
			If Debugger.IsAttached = True Then Debug.Print(String.Format(sql, where))
			Me.pCliSearch.setDbParam(db, Me.pTblCd)
		Catch ex As Exception
			Throw
		Finally
			where = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 『TW_チェック入退院対象一覧』テーブルへ帳票出力用データ格納
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sPATIENT_NO">患者番号</param>
	''' <param name="iHSP_HISTORY_NO">入退院歴番号</param>
	''' <param name="sBYOREKI_NO">病歴番号</param>
	''' <param name="sPATIENT_NM">氏名</param>
	''' <param name="sDEPT_CD">診療科コード</param>
	''' <param name="sDOCTOR_CD">医師コード</param>
	''' <param name="sOUT_HSP_DT">退院日</param>
	''' <param name="sCODE">コード</param>
	''' <param name="sRECORD_MNGSTATUS_CD">カルテ管理状況コード</param>
	''' <param name="sREG_PERSON_CD">登録者コード</param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub InsMTW_CHK_HSP_OBJECT(ByRef db As XCM.clsDB, _
									  ByVal sPATIENT_NO As String, _
									  ByVal iHSP_HISTORY_NO As Integer, _
									  ByVal sBYOREKI_NO As String, _
									  ByVal sPATIENT_NM As String, _
									  ByVal sDEPT_CD As String, _
									  ByVal sDOCTOR_CD As String, _
									  ByVal sOUT_HSP_DT As String, _
									  ByVal sCODE As String, _
									  ByVal sRECORD_MNGSTATUS_CD As String, _
									  ByVal sREG_PERSON_CD As String)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "InsMTW_CHK_HSP_OBJECT", CST_LOG_PRODUCT, CST_LOG_CLASS, "『TW_チェック入退院対象一覧』テーブルへ帳票出力用データ格納 Start")
		Try
			'SQL文生成、パラメータ設定
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_INS_MTW_CHK_HSP_OBJECT)
			db.setParam(sqlMAX030R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
			db.setParam(sqlMAX030R010.prmBYOREKI_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmPATIENT_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmDEPT_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmDOCTOR_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmOUT_HSP_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlMAX030R010.prmCODE, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmRECORD_MNGSTATUS_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmREG_PERSON_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMAX030R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			db.setVal(sqlMAX030R010.prmPATIENT_NO, sPATIENT_NO)
			db.setVal(sqlMAX030R010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
			db.setVal(sqlMAX030R010.prmBYOREKI_NO, sBYOREKI_NO)
			db.setVal(sqlMAX030R010.prmPATIENT_NM, sPATIENT_NM)
			db.setVal(sqlMAX030R010.prmDEPT_CD, sDEPT_CD)
			db.setVal(sqlMAX030R010.prmDOCTOR_CD, sDOCTOR_CD)
			db.setVal(sqlMAX030R010.prmOUT_HSP_DT, sOUT_HSP_DT)
			db.setVal(sqlMAX030R010.prmCODE, sCODE)
			db.setVal(sqlMAX030R010.prmRECORD_MNGSTATUS_CD, sRECORD_MNGSTATUS_CD)
			db.setVal(sqlMAX030R010.prmREG_PERSON_CD, sREG_PERSON_CD)
			db.setVal(sqlMAX030R010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX030R010.prmLASTUPD_DT, DateTime.Now())
			db.execNonQuery()

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getHeaderData() As datHeader
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.TITLE_NM = Me.pTitle								'タイトル
				.STR1 = Me.pSubTitle								'サブタイトル
				.STR2 = Me.pCondition								'検索条件
				.STR3 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)	'病歴番号
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

#End Region

End Class