﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 矛盾データ削除
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX050F010

#Region "コンスタント"

	Private Enum Enum_PRCID As Integer
		PRCID_SEL = 1								'検索
		PRCID_DEL = 2								'削除
	End Enum

	Private Enum Enum_SQLID As Integer
		SQLID_SEL = 1								'検索
		SQLID_CSV = 2								'CSV出力
		SQLID_DEL = 3								'削除
	End Enum

	Private Enum Enum_TBLID As Integer
		TBLID_MTIHSP = 1							'TI入退院情報用
		TBLID_MTICH = 2								'TI科歴情報用
		TBLID_MTIWARD = 3							'TI病棟情報用
		TBLID_MTIDOCTOR = 4							'TI医師情報用
		TBLID_MTIMEDCOST = 5						'TI医療費情報用
		TBLID_MTIOTHERDEPT = 6						'TI対診科情報用
		TBLID_MTIDEATH = 7							'TI死亡情報用
		TBLID_MTIDISEASE = 8						'TI病名情報用
		TBLID_MTIOPE = 9							'TI手術情報用
		TBLID_MTIOPEDOCTOR = 10						'TI手術医師情報用
		TBLID_MTITEST = 11							'TI検査情報用
		TBLID_MTICARE = 12							'TI治療処置情報用
		TBLID_MTIASST1 = 13							'TI補足項目１情報用
		TBLID_MTIASST2 = 14							'TI補足項目２情報用
		TBLID_MTIEMERGENCY = 15						'TI救急救命情報用
		TBLID_MTICB = 16							'TI分娩情報用
		TBLID_MTICBCHILD = 17						'TI分娩子情報用
		TBLID_MTICBCHILDSB = 18						'TI分娩子死産情報用
		TBLID_MTILENDITM = 19						'TK貸出物情報用
		TBLID_MTILEND = 20							'TK貸出情報用
		TBLID_MTIINSPECT = 21						'TK監査情報用
		TBLID_MTIPATH = 22							'TIパス情報用
	End Enum

	''' <summary>
	''' CSVファイル名
	''' </summary>
	Private Const CSV_FILENM_MTIHSP As String = "入退院矛盾データ"					'TI入退院情報用
	Private Const CSV_FILENM_MTICH As String = "科歴矛盾データ抽出"					'TI科歴情報用
	Private Const CSV_FILENM_MTIWARD As String = "病棟矛盾データ抽出"				'TI病棟情報用
	Private Const CSV_FILENM_MTIDOCTOR As String = "医師矛盾データ抽出"				'TI医師情報用
	Private Const CSV_FILENM_MTIMEDCOST As String = "医療費矛盾データ抽出"			'TI医療費情報用
	Private Const CSV_FILENM_MTIOTHERDEPT As String = "対診科矛盾データ抽出"		'TI対診科情報用
	Private Const CSV_FILENM_MTIDEATH As String = "死亡矛盾データ抽出"				'TI死亡情報用
	Private Const CSV_FILENM_MTIDISEASE As String = "病名矛盾データ抽出"			'TI病名情報用
	Private Const CSV_FILENM_MTIOPE As String = "手術矛盾データ抽出"				'TI手術情報用
	Private Const CSV_FILENM_MTIOPEDOCTOR As String = "手術医師矛盾データ抽出"		'TI手術医師情報用
	Private Const CSV_FILENM_MTITEST As String = "検査矛盾データ抽出"				'TI検査情報用
	Private Const CSV_FILENM_MTICARE As String = "治療処置矛盾データ抽出"			'TI治療処置情報用
	Private Const CSV_FILENM_MTIASST1 As String = "補足項目１矛盾データ抽出"		'TI補足項目１情報用
	Private Const CSV_FILENM_MTIASST2 As String = "補足項目２矛盾データ抽出"		'TI補足項目２情報用
	Private Const CSV_FILENM_MTIEMERGENCY As String = "救命救急矛盾データ抽出"		'TI救急救命情報用
	Private Const CSV_FILENM_MTICB As String = "分娩矛盾データ抽出"					'TI分娩情報用
	Private Const CSV_FILENM_MTICBCHILD As String = "分娩子矛盾データ抽出"			'TI分娩子情報用
	Private Const CSV_FILENM_MTICBCHILDSB As String = "分娩子流死産矛盾データ抽出"	'TI分娩子死産情報用
	Private Const CSV_FILENM_MTILENDITM As String = "貸出物矛盾データ抽出"			'TK貸出物情報用
	Private Const CSV_FILENM_MTILEND As String = "貸出矛盾データ抽出"				'TK貸出情報用
	Private Const CSV_FILENM_MTIINSPECT As String = "監査矛盾データ抽出"			'TK監査情報用
	Private Const CSV_FILENM_MTIPATH As String = "パス矛盾データ抽出"				'TIパス情報用

	''' <summary>
	''' テーブル名
	''' </summary>
	Private Const TBLNM_MTIHSP As String = "入退院情報テーブル"						'TI入退院情報用
	Private Const TBLNM_MTICH As String = "科歴情報テーブル"						'TI科歴情報用
	Private Const TBLNM_MTIWARD As String = "病棟情報テーブル"						'TI病棟情報用
	Private Const TBLNM_MTIDOCTOR As String = "医師情報テーブル"					'TI医師情報用
	Private Const TBLNM_MTIMEDCOST As String = "医療費情報テーブル"					'TI医療費情報用
	Private Const TBLNM_MTIOTHERDEPT As String = "対診科情報テーブル"				'TI対診科情報用
	Private Const TBLNM_MTIDEATH As String = "死亡情報テーブル"						'TI死亡情報用
	Private Const TBLNM_MTIDISEASE As String = "病名情報テーブル"					'TI病名情報用
	Private Const TBLNM_MTIOPE As String = "手術情報テーブル"						'TI手術情報用
	Private Const TBLNM_MTIOPEDOCTOR As String = "手術医師情報テーブル"				'TI手術医師情報用
	Private Const TBLNM_MTITEST As String = "検査情報テーブル"						'TI検査情報用
	Private Const TBLNM_MTICARE As String = "治療処置情報テーブル"					'TI治療処置情報用
	Private Const TBLNM_MTIASST1 As String = "補足項目１情報テーブル"				'TI補足項目１情報用
	Private Const TBLNM_MTIASST2 As String = "補足項目２情報テーブル"				'TI補足項目２情報用
	Private Const TBLNM_MTIEMERGENCY As String = "救命救急情報テーブル"				'TI救急救命情報用
	Private Const TBLNM_MTICB As String = "分娩情報テーブル"						'TI分娩情報用
	Private Const TBLNM_MTICBCHILD As String = "分娩子情報テーブル"					'TI分娩子情報用
	Private Const TBLNM_MTICBCHILDSB As String = "分娩子流死産情報テーブル"			'TI分娩子死産情報用
	Private Const TBLNM_MTILENDITM As String = "貸出物情報テーブル"					'TK貸出物情報用
	Private Const TBLNM_MTILEND As String = "貸出情報テーブル"						'TK貸出情報用
	Private Const TBLNM_MTIINSPECT As String = "監査情報テーブル"					'TK監査情報用
	Private Const TBLNM_MTIPATH As String = "パス情報テーブル"						'TIパス情報用

#End Region

#Region "変数"

	Private plBtnTme As String						'更新ボタン押下時間

	'検索系SQL
	Private selSql() As String = New String() _
		{
		Nothing, _
		sqlMAX050F010.sqlSel_MTI_HSP_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_CH_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_WARD_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_DOCTOR_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_MED_COST_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_OTHER_DEPT_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_DEATH_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_DISEASE_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_OPE_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_OPE_DOCTOR_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_TEST_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_CARE_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_ASST1_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_ASST2_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_EMERGENCY_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_CB_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_CB_CHILD_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_CB_SB_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_LENDITM_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_LEND_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_INSPECT_DATA_CNT, _
		sqlMAX050F010.sqlSel_MTI_PATH_DATA_CNT
		}

	'CSV取得系SQL
	Private csvSql() As String = New String() _
		{
		Nothing, _
		sqlMAX050F010.sqlSel_MTI_HSP_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_CH_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_WARD_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_DOCTOR_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_MED_COST_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_OTHER_DEPT_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_DEATH_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_DISEASE_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_OPE_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_OPE_DOCTOR_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_TEST_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_CARE_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_ASST1_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_ASST2_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_EMERGENCY_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_CB_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_CB_CHILD_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_CB_SB_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_LENDITM_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_LEND_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_INSPECT_DATA_ALL, _
		sqlMAX050F010.sqlSel_MTI_PATH_DATA_ALL
		}

	'削除系SQL
	Private delSql() As String = New String() _
		{
		Nothing, _
		sqlMAX050F010.sqlDel_MTI_HSP_DATA, _
		sqlMAX050F010.sqlDel_MTI_CH_DATA, _
		sqlMAX050F010.sqlDel_MTI_WARD_DATA, _
		sqlMAX050F010.sqlDel_MTI_DOCTOR_DATA, _
		sqlMAX050F010.sqlDel_MTI_MED_COST_DATA, _
		sqlMAX050F010.sqlDel_MTI_OTHER_DEPT_DATA, _
		sqlMAX050F010.sqlDel_MTI_DEATH_DATA, _
		sqlMAX050F010.sqlDel_MTI_DISEASE_DATA, _
		sqlMAX050F010.sqlDel_MTI_OPE_DATA, _
		sqlMAX050F010.sqlDel_MTI_OPE_DOCTOR_DATA, _
		sqlMAX050F010.sqlDel_MTI_TEST_DATA, _
		sqlMAX050F010.sqlDel_MTI_CARE_DATA, _
		sqlMAX050F010.sqlDel_MTI_ASST1_DATA, _
		sqlMAX050F010.sqlDel_MTI_ASST2_DATA, _
		sqlMAX050F010.sqlDel_MTI_EMERGENCY_DATA, _
		sqlMAX050F010.sqlDel_MTI_CB_DATA, _
		sqlMAX050F010.sqlDel_MTI_CB_CHILD_DATA, _
		sqlMAX050F010.sqlDel_MTI_CB_SB_DATA, _
		sqlMAX050F010.sqlDel_MTI_LENDITM_DATA, _
		sqlMAX050F010.sqlDel_MTI_LEND_DATA, _
		sqlMAX050F010.sqlDel_MTI_INSPECT_DATA, _
		sqlMAX050F010.sqlDel_MTI_PATH_DATA
		}

	''' <summary>
	''' CSVファイル名
	''' </summary>
	Private csvFilNm() As String = New String() _
		{
		Nothing, _
		CSV_FILENM_MTIHSP, _
		CSV_FILENM_MTICH, _
		CSV_FILENM_MTIWARD, _
		CSV_FILENM_MTIDOCTOR, _
		CSV_FILENM_MTIMEDCOST, _
		CSV_FILENM_MTIOTHERDEPT, _
		CSV_FILENM_MTIDEATH, _
		CSV_FILENM_MTIDISEASE, _
		CSV_FILENM_MTIOPE, _
		CSV_FILENM_MTIOPEDOCTOR, _
		CSV_FILENM_MTITEST, _
		CSV_FILENM_MTICARE, _
		CSV_FILENM_MTIASST1, _
		CSV_FILENM_MTIASST2, _
		CSV_FILENM_MTIEMERGENCY, _
		CSV_FILENM_MTICB, _
		CSV_FILENM_MTICBCHILD, _
		CSV_FILENM_MTICBCHILDSB, _
		CSV_FILENM_MTILENDITM, _
		CSV_FILENM_MTILEND, _
		CSV_FILENM_MTIINSPECT, _
		CSV_FILENM_MTIPATH
		}

	''' <summary>
	''' テーブル名
	''' </summary>
	Private tblNm() As String = New String() _
		{
		Nothing, _
		TBLNM_MTIHSP, _
		TBLNM_MTICH, _
		TBLNM_MTIWARD, _
		TBLNM_MTIDOCTOR, _
		TBLNM_MTIMEDCOST, _
		TBLNM_MTIOTHERDEPT, _
		TBLNM_MTIDEATH, _
		TBLNM_MTIDISEASE, _
		TBLNM_MTIOPE, _
		TBLNM_MTIOPEDOCTOR, _
		TBLNM_MTITEST, _
		TBLNM_MTICARE, _
		TBLNM_MTIASST1, _
		TBLNM_MTIASST2, _
		TBLNM_MTIEMERGENCY, _
		TBLNM_MTICB, _
		TBLNM_MTICBCHILD, _
		TBLNM_MTICBCHILDSB, _
		TBLNM_MTILENDITM, _
		TBLNM_MTILEND, _
		TBLNM_MTIINSPECT, _
		TBLNM_MTIPATH
		}

	''' <summary>
	''' テーブルデータ取得クラス（型情報）
	''' </summary>
	Private objGetTblCls() As Type = New Type() _
		{
		Nothing, _
		GetType(datMAX050F010_MTIHSP_Rec), _
		GetType(datMAX050F010_MTICH_Rec), _
		GetType(datMAX050F010_MTIWARD_Rec), _
		GetType(datMAX050F010_MTIDOCTOR_Rec), _
		GetType(datMAX050F010_MTIMEDCOST_Rec), _
		GetType(datMAX050F010_MTIOTHERDEPT_Rec), _
		GetType(datMAX050F010_MTIDEATH_Rec), _
		GetType(datMAX050F010_MTIDISEASE_Rec), _
		GetType(datMAX050F010_MTIOPE_Rec), _
		GetType(datMAX050F010_MTIOPEDOCTOR_Rec), _
		GetType(datMAX050F010_MTITEST_Rec), _
		GetType(datMAX050F010_MTICARE_Rec), _
		GetType(datMAX050F010_MTIASST1_Rec), _
		GetType(datMAX050F010_MTIASST2_Rec), _
		GetType(datMAX050F010_MTIEMERGENCY_Rec), _
		GetType(datMAX050F010_MTICB_Rec), _
		GetType(datMAX050F010_MTICBCHILD_Rec), _
		GetType(datMAX050F010_MTICBCHILDSB_Rec), _
		GetType(datMAX050F010_MTILENDITM_Rec), _
		GetType(datMAX050F010_MTILEND_Rec), _
		GetType(datMAX050F010_MTIINSPECT_Rec), _
		GetType(datMAX050F010_MTIPATH_Rec)
		}

	''' <summary>
	''' ラベルコントロール
	''' </summary>
	Private lblDsp() As System.Windows.Forms.Label

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 矛盾データ削除画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX050F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX050F010_Load", "矛盾データ削除画面＿初期設定 Start")
		Try
			'ラベルセット
			Me.lblDsp = New System.Windows.Forms.Label() _
				{
				 Nothing, _
				 Me.lbl006MAX050F010, _
				 Me.lbl008MAX050F010, _
				 Me.lbl010MAX050F010, _
				 Me.lbl012MAX050F010, _
				 Me.lbl014MAX050F010, _
				 Me.lbl016MAX050F010, _
				 Me.lbl018MAX050F010, _
				 Me.lbl020MAX050F010, _
				 Me.lbl022MAX050F010, _
				 Me.lbl024MAX050F010, _
				 Me.lbl026MAX050F010, _
				 Me.lbl029MAX050F010, _
				 Me.lbl031MAX050F010, _
				 Me.lbl033MAX050F010, _
				 Me.lbl035MAX050F010, _
				 Me.lbl037MAX050F010, _
				 Me.lbl039MAX050F010, _
				 Me.lbl041MAX050F010, _
				 Me.lbl043MAX050F010, _
				 Me.lbl045MAX050F010, _
				 Me.lbl047MAX050F010, _
				 Me.lbl049MAX050F010
				}
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 矛盾データ削除画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX050F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX050F010_FormClosing", "矛盾データ削除画面＿閉じる Start")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'メモリ解放
			Me.objGetTblCls = Nothing
			Me.csvFilNm = Nothing
			Me.tblNm = Nothing
			Me.lblDsp = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 確認ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn001MAX050F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001MAX050F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn001MAX050F010_Click", "確認ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索処理
			Me.SelProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' データ検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SelData()
		Me.log(XCM.clsSysMst.logLevel.DBG, "SelData", "データ検索処理 Start")
		Dim rec As ArrayList = Nothing
		Dim cnt As Integer = -1
		Try
			rec = New ArrayList()
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'対象テーブル分繰り返す
				For Each tblStr As String In System.Enum.GetNames(GetType(Enum_TBLID))
					Dim tblId As Enum_TBLID = DirectCast(System.Enum.Parse(GetType(Enum_TBLID), tblStr), Enum_TBLID)

					'チェック中文言の表示
					Me.showMsgBar("I0015", Enum_MsgIcon.None, Me.tblNm(tblId), Nothing)
					Me.sst001frmBase.Refresh()

					'検索実行
					cnt = Me.GetSelData(db, tblId)
					If cnt = -1 Then
						'異常
						Exit Sub
					End If
					Me.lblDsp(tblId).Text = cnt
					Me.lblDsp(tblId).Refresh()
				Next tblStr
			End Using
		Catch ex As Exception
			Throw
		Finally
			'チェック中文言のクリア
			Me.clearMsgBar()
			Me.sst001frmBase.Refresh()
			If rec IsNot Nothing Then rec.Clear()
			rec = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データ検索SQL実行処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tblId">
	''' 検索対象テーブルID
	''' （Enum_TBLID参照）
	''' </param>
	''' <returns>取得レコード件数</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetSelData(ByRef db As XCM.clsDB, ByVal tblId As Integer) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetSelData", "データ検索SQL実行処理 Start")
		Dim rec As ArrayList = Nothing
		Dim ret As Integer = -1
		Try
			rec = New ArrayList()
			'SQL文取得
			db.setSQL(Me.GetSQL(Enum_SQLID.SQLID_SEL, tblId))
			If db.execQuery(GetType(datMAX050F010_Rec), rec, False) > 0 Then
				ret = DirectCast(rec.Item(0), datMAX050F010_Rec).DATACOUNT
			End If
			Return ret
		Catch ex As Exception
			Throw
		Finally
			If rec IsNot Nothing Then rec.Clear()
			rec = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データ削除処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub DelData()
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelData", "データ削除処理 Start")
		Try
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

					'対象データ件数取得、CSV出力、削除処理
					'対象テーブル分繰り返す
					For Each tblStr As String In System.Enum.GetNames(GetType(Enum_TBLID))
						Dim tblId As Enum_TBLID = DirectCast(System.Enum.Parse(GetType(Enum_TBLID), tblStr), Enum_TBLID)
						Dim cnt As Integer = 0

						'チェック中文言の表示
						Me.showMsgBar("I0015", Enum_MsgIcon.None, Me.tblNm(tblId), Nothing)
						Me.sst001frmBase.Refresh()

						'件数取得
						cnt = Me.GetSelData(db, tblId)
						If cnt = -1 Then
							Exit Sub
						End If
						Me.lblDsp(tblId).Text = cnt
						Me.lblDsp(tblId).Refresh()

						If cnt > 0 Then
							'CSVデータ取得、出力処理
							If Me.CsvData(db, tblId) = -1 Then
								Exit Sub
							End If

							'データ削除処理
							If Me.ExeDelData(db, tblId) = -1 Then
								Exit Sub
							End If
						End If
					Next tblStr

					'トランザクションコミット処理
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					Throw
				Finally
					'ロールバック処理
					If db.statTran() = True Then
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
					'チェック中文言のクリア
					Me.clearMsgBar()
					Me.sst001frmBase.Refresh()
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データ削除SQL実行処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tblId">
	''' 検索対象テーブルID
	''' （Enum_TBLID参照）
	''' </param>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ExeDelData(ByRef db As XCM.clsDB, ByVal tblId As Integer) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "ExeDelData", "データ削除SQL実行処理 Start")
		Dim ret As Integer = -1
		Try
			'SQL文取得
			db.setSQL(Me.GetSQL(Enum_SQLID.SQLID_DEL, tblId))
			ret = db.execNonQuery(False)
			If Debugger.IsAttached Then
				Debug.Print(String.Format("{0} => {1}", tblId, ret))
			End If
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' CSVデータ取得処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tblId">
	''' 取得対象テーブルID
	''' （Enum_TBLID参照）
	''' </param>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function CsvData(ByRef db As XCM.clsDB, ByVal tblId As Integer) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "CsvData", "CSVデータ取得処理 Start")
		Dim rec As ArrayList = Nothing
		Dim ret As Integer = -1
		Try
			rec = New ArrayList()
			'SQL文取得
			db.setSQL(Me.GetSQL(Enum_SQLID.SQLID_CSV, tblId))

			ret = db.execQuery(Me.objGetTblCls(tblId), rec, False)
			If ret > 0 Then
				'CSV出力処理
				Me.exePutCsv(tblId, rec, Me.objGetTblCls(tblId))
			End If

			Return ret
		Catch ex As Exception
			Throw
		Finally
			If rec IsNot Nothing Then rec.Clear()
			rec = Nothing
		End Try

	End Function

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="prcId">
	''' 1:検索
	''' 2:CSV出力用
	''' 3:削除
	''' （Enum_SQLID値）
	''' </param>
	''' <param name="tbl">
	''' 処理対象テーブル
	''' （Enum_TBLID値）
	''' </param>
	''' <returns>SQL文</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetSQL(ByVal prcId As Integer, ByVal tbl As Integer) As String
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetSQL", "SQL文作成 Start")
		Try
			Select Case prcId
				Case Enum_SQLID.SQLID_SEL : Return Me.selSql(tbl)		'検索
				Case Enum_SQLID.SQLID_CSV : Return Me.csvSql(tbl)		'CSV取得
				Case Enum_SQLID.SQLID_DEL : Return Me.delSql(tbl)		'削除
				Case Else : Return Nothing
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' CSV出力処理
	''' </summary>
	''' <param name="tbl">
	''' 出力対象テーブルID
	''' （Enum_TBLID値）
	''' </param>
	''' <param name="rec">出力データ</param>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub exePutCsv(ByVal tbl As Integer, ByVal rec As ArrayList, ByVal typ As Type)
		Me.log(XCM.clsSysMst.logLevel.DBG, "exePutCsv", "CSV出力処理 Start")
		Dim arData As ArrayList = Nothing
		Dim arDataMei As ArrayList = Nothing
		Dim pFileNm As String = Nothing
		Dim typMember As System.Reflection.MemberInfo() = Nothing
		Dim objMember As Object
		Dim strVal As String
		Try

			arData = New ArrayList
			arDataMei = New ArrayList

			pFileNm = Me.csvFilNm(tbl) & Me.plBtnTme & XSP.clsCSV.CST_CSV_EXTENTION		'ファイル名取得

			typMember = typ.GetMembers(System.Reflection.BindingFlags.Public Or System.Reflection.BindingFlags.Instance Or System.Reflection.BindingFlags.DeclaredOnly)
			'																			'データクラスのメンバ取得（コレクション）

			Using cliCSV As New XSP.clsCSV(pFileNm, XSP.clsCSV.getCSVPath)				'出力パスと出力ファイル名を定義して、CSVクラスをインスタンス化
				For idx As Integer = 0 To rec.Count - 1									'データ件数分ループ

					For Each ele As System.Reflection.MemberInfo In typMember			'データクラスメンバ変数分ループ
						If ele.MemberType = System.Reflection.MemberTypes.Field Then
							objMember = typ.InvokeMember(ele.Name, System.Reflection.BindingFlags.GetField, Nothing, rec.Item(idx), Nothing)
							Select Case True											'日付型なら
								Case objMember Is Nothing
									strVal = String.Empty
								Case TypeOf objMember Is Date
									strVal = String.Format(objMember, clsConst.CST_YYYYMMDD_FORMAT)
								Case Else
									strVal = objMember.ToString()
							End Select
							arDataMei.Add(strVal)
						End If
					Next
					'メインにAdd
					arData.Add(arDataMei.Clone)
					'解放
					arDataMei.Clear()
				Next idx
				'出力
				cliCSV.putCSV_Array(arData)
			End Using
		Catch ex As Exception
			Throw
		Finally
			objMember = Nothing
			If arData IsNot Nothing Then arData.Clear()
			arData = Nothing
			If arDataMei IsNot Nothing Then arDataMei.Clear()
			arDataMei = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub SelProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "SelProc", "検索処理 Start")
		Try
			'検索実行
			Me.SelData()

			'メッセージの表示
			Me.showMsg("I0006", "確認", Nothing)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 削除処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub UpdProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdProc", "削除処理 Start")
		Try
			Dim dflg As Boolean = False	'データ削除フラグ

			'「削除しますか?」のメッセージを表示
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", System.Windows.Forms.MessageBoxButtons.OKCancel, System.Windows.Forms.MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", System.Windows.Forms.MessageBoxButtons.YesNo, System.Windows.Forms.MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
				'削除ボタン押下時間取得
				Me.plBtnTme = Now.ToString("yyyyMMddHHmmss")

				'削除処理
				Me.DelData()

				'CSV出力ファイル数カウント
				Dim cnt As Integer = 0
				For i As Integer = 0 To Me.lblDsp.Length - 1
					If (Me.lblDsp(i) Is Nothing) = False AndAlso _
					   String.IsNullOrEmpty(Me.lblDsp(i).Text) = False AndAlso _
					   CInt(Me.lblDsp(i).Text) > 0 Then
						cnt += CInt(Me.lblDsp(i).Text)
					End If
				Next i

				If cnt > 0 Then
					'削除データが存在する場合のメッセージ表示
					Me.showMsg("I0016", "[" & XSP.clsCSV.getCSVPath & "]", Nothing)
				Else
					'削除データが存在しない場合のメッセージの表示
					Me.showMsg("I0006", "削除", Nothing)
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１１キー押下
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ１１キー押下 Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索処理
			Me.SelProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class
