﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 患者番号変更処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX080F010

#Region "コンスタント"

	'遷移先固定ID
	Private Const CST_SHOW_XSP010F010_ID As String = "XSP010F010"

#End Region

#Region "変数"

	Private plctlXSP010F010 As XSP.XSP010F010	'患者検索画面フォーム

	Private plPATIENT_NO_Bfr As String			'患者番号バッファ（変更前側）
	Private plPATIENT_NO_Aft As String			'患者番号バッファ（変更後側）

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 患者番号変更画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX080F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX080F010_Load", "患者番号変更画面＿初期設定 Start")
		Try
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号変更画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX080F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX080F010_FormClosing", "患者番号変更画面＿閉じる Start")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'メモリ解放
			Me.plctlXSP010F010 = Nothing
			Me.plPATIENT_NO_Bfr = Nothing
			Me.plPATIENT_NO_Aft = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn001MAX080F010_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn001MAX080F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn001MAX080F010_Click", "患者番号ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.plctlXSP010F010 = New XSP.XSP010F010(CST_SHOW_XSP010F010_ID, Me.msk002MAX080F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)
			'患者検索画面表示
			Me.nextForm(Me.plctlXSP010F010)
			'フォーカス設定
			Me.msk002MAX080F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（変更前）テキストボックスフォーカス
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk002MAX080F010_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk002MAX080F010.GotFocus
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk002MAX080F010_GotFocus", "患者番号（変更前）テキストボックスフォーカス Start")
		Try
			'患者番号一時記録
			Me.plPATIENT_NO_Bfr = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（変更前）テキストボックスフォーカス移動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk002MAX080F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk002MAX080F010.Validated
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk002MAX080F010_Validated", "患者番号（変更前）テキストボックスフォーカス移動 Start")
		Try
			'患者番号が以前と異なる場合、患者番号に対応する患者名を取得する
			If Me.plPATIENT_NO_Bfr <> sender.Text Then
				Me.lbl003MAX080F010.Text = Me.GetPatientName(sender)
			End If
			'患者番号一時記録
			Me.plPATIENT_NO_Bfr = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（変更後）テキストボックスフォーカス
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk006MAX080F010_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk006MAX080F010.GotFocus
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk006MAX080F010_GotFocus", "患者番号（変更後）テキストボックスフォーカス Start")
		Try
			'患者番号一時記録
			Me.plPATIENT_NO_Aft = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（変更後）テキストボックスフォーカス移動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk006MAX080F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk006MAX080F010.Validated
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk006MAX080F010_Validated", "患者番号（変更後）テキストボックスフォーカス移動 Start")
		Try
			'患者番号が以前と異なる場合、患者番号に対応する患者名を取得する
			If Me.plPATIENT_NO_Aft <> sender.Text Then
				Me.lbl007MAX080F010.Text = Me.GetPatientName(sender)
			End If
			'患者番号一時記録
			Me.plPATIENT_NO_Aft = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常、False:入力値異常</returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkData", "入力チェック Start")
		Dim ret As Boolean = False
		Try
			'Validatedのチェック
			If Me.ValidateChildren() = True Then
				'患者番号のチェック
				If String.IsNullOrEmpty(Me.msk002MAX080F010.Text) = True Then
					Me.addErrList("E0016", Me.msk002MAX080F010.Name, "患者番号", "患者番号", Nothing)
				Else
					If String.IsNullOrEmpty(Me.lbl003MAX080F010.Text) = True Then
						Me.addErrList("E0015", Me.msk002MAX080F010.Name, "患者番号", "患者番号", Nothing)
					End If
				End If

				'新患者番号のチェック
				If String.IsNullOrEmpty(Me.lbl007MAX080F010.Text) = False Then
					Me.addErrList("E0003", Me.msk006MAX080F010.Name, "新患者番号", "新患者番号がすでに存在するため", "変更", Nothing)
				End If
				If String.IsNullOrEmpty(Me.msk006MAX080F010.Text) = True Then
					Me.addErrList("E0016", Me.msk006MAX080F010.Name, "新患者番号", "新患者番号", Nothing)
				End If

				'エラーがある場合はエラー画面を表示する
				If Me.getErrCount() > 0 Then
					Me.nextErrForm()
				Else
					ret = True
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub UpdData()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdData", "データ更新処理 Start")
		Try
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

					'既に存在する（場合は）新患者番号のレコードを削除
					If Me.Del_NEW_PATIENT_NO(db, Me.msk006MAX080F010.Text) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'患者番号を新患者番号に置き換え
					If Me.Upd_NEW_PATIENT_NO(db, Me.msk002MAX080F010.Text, Me.msk006MAX080F010.Text) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'トランザクションコミット処理
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					Throw
				Finally
					'ロールバック処理
					If db.statTran() = True Then
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 新患者番号での既存レコードを削除する
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNo">患者番号</param>
	''' <returns>True：削除成功、False:異常</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Del_NEW_PATIENT_NO(ByRef db As XCM.clsDB, _
										ByVal patNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Del_NEW_PATIENT_NO", "新患者番号での既存レコードを削除する Start")
		Dim ret As Boolean = False
		Try
			Dim sts As Integer = -1

			'TI_基本情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_XTI_BASICINFO)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_入退院情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_HSP)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_科歴情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_CH)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_死亡情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_DEATH)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_病棟情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_WARD)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_医師情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_DOCTOR)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_医療費情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_MED_COST)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_救命救急情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_EMERGENCY)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_対診科情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_OTHER_DEPT)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_病名情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_DISEASE)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_手術情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_OPE)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_手術医師情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_OPE_DOCTOR)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_検査情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_TEST)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_治療処置情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_CARE)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_補足項目１情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_ASST1)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_補足項目２情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_ASST2)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_分娩情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_CB)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_分娩子情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_CB_CHILD)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_分娩子流死産情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_CB_SB)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_パス情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_PATH)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TK_貸出物情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_LENDITM)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TK_貸出情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_LEND)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TZ_医療費明細情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_MED_COST_DETAILS)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_DPC情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_DPC)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TK_監査情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_MTI_INSPECT)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'LTI_管理物情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_LTI_MNGITEMINFO)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'LTI_貸出情報テーブル
			db.setSQL(sqlMAX080F010.sqlDel_LTI_LENDINFO)
			sts = Me.SetDelParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			ret = True
		Catch ex As Exception
			Throw
		End Try

		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 旧患者番号を新患者番号に更新する
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNoOld">旧患者番号</param>
	''' <param name="patNoNew">新患者番号</param>
	''' <returns>True：削除成功、False:異常</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_NEW_PATIENT_NO(ByRef db As XCM.clsDB, _
										ByVal patNoOld As String, _
										ByVal patNoNew As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_NEW_PATIENT_NO", "旧患者番号を新患者番号に更新する Start")
		Dim ret As Boolean = False
		Try
			Dim sts As Integer = -1

			'TI_基本情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_XTI_BASICINFO)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_入退院情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_HSP)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_科歴情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_CH)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_死亡情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_DEATH)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_病棟情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_WARD)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_医師情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_DOCTOR)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_医療費情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_MED_COST)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_救命救急情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_EMERGENCY)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_対診科情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_OTHER_DEPT)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_病名情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_DISEASE)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_手術情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_OPE)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_手術医師情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_OPE_DOCTOR)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_検査情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_TEST)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_治療処置情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_CARE)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_補足項目１情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_ASST1)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_補足項目２情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_ASST2)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_分娩情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_CB)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_分娩子情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_CB_CHILD)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_分娩子流死産情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_CB_SB)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_パス情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_PATH)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TK_貸出物情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_LENDITM)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TK_貸出情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_LEND)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TZ_医療費明細情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_MED_COST_DETAILS)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TI_DPC情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_DPC)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'TK_監査情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_INSPECT)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'LTI_管理物情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_LTI_MNGITEMINFO)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'LTI_貸出情報テーブル
			db.setSQL(sqlMAX080F010.sqlUpd_LTI_LENDINFO)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'患者番号を新患者番号に置き換え
			db.setSQL(sqlMAX080F010.sqlUpd_XTI_BASICINFO_2)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			'患者番号を新患者番号に置き換え
			db.setSQL(sqlMAX080F010.sqlUpd_MTI_CB_CHILD_2)
			sts = Me.SetUpdParam(db, patNoOld, patNoNew)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			ret = True
		Catch ex As Exception
			Throw
		End Try

		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブル削除時パラメータセット
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNo">患者番号</param>
	''' <returns>削除レコード数（-1:更新異常）</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function SetDelParam(ByRef db As XCM.clsDB, _
								 ByVal patNo As String) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetDelParam", "テーブル削除時パラメータセット Start")
		Dim ret As Integer = -1
		Try
			'パラメータセットし、SQL実行
			db.setParam(sqlMAX080F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX080F010.prmPATIENT_NO_AFT, patNo)
			ret = db.execNonQuery(False)
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブル更新時パラメータセット
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNoNew">新患者番号</param>
	''' <param name="patNoOld">旧患者番号</param>
	''' <returns>更新レコード数（-1:更新異常）</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function SetUpdParam(ByRef db As XCM.clsDB, _
								 ByVal patNoOld As String, _
								 ByVal patNoNew As String) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetUpdParam", "テーブル更新時パラメータセット Start")
		Dim ret As Integer = -1
		Try
			'パラメータセットし、SQL実行
			db.setParam(sqlMAX080F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX080F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX080F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX080F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX080F010.prmPATIENT_NO_AFT, patNoNew)
			db.setVal(sqlMAX080F010.prmPATIENT_NO_BFR, patNoOld)
			db.setVal(sqlMAX080F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX080F010.prmLASTUPD_DT, DateTime.Now())
			ret = db.execNonQuery(False)
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 入力項目クリア
	''' </summary>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub ClearInput()
		Me.log(XCM.clsSysMst.logLevel.DBG, "ClearInput", "入力項目クリア Start")
		Try
			'患者番号、新患者番号、各患者氏名のクリア
			Me.msk002MAX080F010.Text = Nothing
			Me.lbl003MAX080F010.Text = Nothing
			Me.msk006MAX080F010.Text = Nothing
			Me.lbl007MAX080F010.Text = Nothing
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号に対応する氏名取得
	''' </summary>
	''' <param name="prTxtCtrl">患者番号取得対象テキストボックス</param>
	''' <returns>患者氏名</returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPatientName(ByVal prTxtCtrl As XCM.BT_Mask) As String
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetPatientName", "患者番号に対応する氏名取得 Start")
		Dim retTxt As String = Nothing
		Try
			Using cliBas As New XCM.clsXTI_BASICINFO()
				Dim datTmp As DataTable

				'患者情報が存在する場合、ラベルに名称を表示する
				datTmp = cliBas.getPatientOneRecDa(prTxtCtrl.Text)
				If datTmp.Rows.Count > 0 Then
					retTxt = datTmp.Rows(0).Item(sqlMAX080F010.itmPATIENT_NM).ToString
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try

		Return retTxt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 患者更新可チェック
	''' </summary>
	''' <returns>0:更新不可、1:更新可、それ以外:異常</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkUsePatient() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkUsePatient", "患者更新可チェック Start")
		Dim sts As Integer = -1
		Dim dat As DataTable = Nothing
		Dim arPtn As ArrayList = Nothing
		Try
			dat = New DataTable
			arPtn = New ArrayList
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'基本情報、分娩子情報をチェックする
				db.setSQLDa(sqlMAX080F010.sqlSel_USE_PATIENT)
				db.setParamDa(sqlMAX080F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlMAX080F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX080F010.prmPATIENT_NO_BFR, Me.msk002MAX080F010.Text)
				db.setValDa(sqlMAX080F010.prmPATIENT_NO_AFT, Me.msk006MAX080F010.Text)
				db.execQueryDa(dat)

				'対象となる患者番号取得
				If dat.Rows.Count > 0 Then
					For Each tmpRow As DataRow In dat.Rows
						arPtn.Add(tmpRow.Item(sqlMAX080F010.itmPATIENT_NO))
					Next tmpRow

					'患者が更新可能かチェックする
					If Me.chkStartStatus(arPtn.ToArray) = True Then
						sts = 0	'更新不可
					Else
						sts = 1	'更新可
					End If
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			If dat IsNot Nothing Then dat.Dispose()
			dat = Nothing
			If arPtn IsNot Nothing Then arPtn.Clear()
			arPtn = Nothing
		End Try
		Return sts
	End Function

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub UpdProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			'入力チェック
			If Me.ChkData() = True Then
				'「更新しますか?」のメッセージを表示
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
				'If Me.confMsg("Q0005", System.Windows.Forms.MessageBoxButtons.OKCancel, System.Windows.Forms.MessageBoxDefaultButton.Button2, "患者番号を変更", Nothing) = MsgBoxResult.Ok Then
				If Me.confMsg("Q0005", System.Windows.Forms.MessageBoxButtons.YesNo, System.Windows.Forms.MessageBoxDefaultButton.Button2, "患者番号を変更", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
					'患者更新可チェック
					Select Case Me.ChkUsePatient
						Case 0
							'更新不可メッセージ
							Me.showMsg("E0019", "患者番号変更", Nothing)
						Case 1
							'データ更新処理
							Me.UpdData()

							'事後処理
							Me.ClearInput()		'入力項目クリア
							Me.showMsg("I0006", "患者番号変更", Nothing)	'終了メッセージ出力
						Case Else
					End Select
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/11/09 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		Me.log(XCM.clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 Start")
		Try
			Select Case de.Key.ToString
				Case CST_SHOW_XSP010F010_ID
					' 患者検索画面より戻ってきたとき
					If ret = Enum_FormReturn.OK Then
						Dim tmpStr As String = Nothing
						Me.msk002MAX080F010.Text = de.Value.PATIENT_NO
						tmpStr = Me.GetPatientName(Me.msk002MAX080F010)
						Me.lbl003MAX080F010.Text = tmpStr
					End If
				Case Else
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "F1KeyProc", "Ｆ１キー押下処理 Start")
		Try
			Me.Cursor = Cursors.WaitCursor

			'患者番号（変更前）にフォーカスがある場合のみ有効
			If Me.ActiveControl.Name = Me.msk002MAX080F010.Name Then
				'患者検索画面
				Me.plctlXSP010F010 = New XSP.XSP010F010(CST_SHOW_XSP010F010_ID, Me.msk002MAX080F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)

				'遷移先フォームに設定
				Me.nextForm(Me.plctlXSP010F010)
			End If
			Return True
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class
