﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 貸出履歴削除
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Friend NotInheritable Class datMAX040F010_MTI_LEND_Rec

	Public PATIENT_NO As String										'患者番号
	Public HSP_HISTORY_NO As Integer								'入退院歴番号
	Public CH_NO As Integer											'科歴番号
	Public LENDITEM_CD As String									'貸出物コード

End Class

Friend NotInheritable Class sqlMAX040F010

#Region "パラメータ"

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"			'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"	'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"						'科歴番号
	Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"			'貸出物コード
	Public Const prmTIMES As String = "@TIMES"						'残す回数指定用
	Public Const prmBACK_DT As String = "@BACK_DT"					'返却日

#End Region

	Private Const sqlWhere_CND2 As String = " AND MTI_LEND.BACK_DT < " & prmBACK_DT

	Private Const sqlSel_MTI_LEND_CND1_P1 As String = _
	  " SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LENDITEM_CD" _
	& "  FROM MTI_LEND" _
	& " WHERE BACK_DT IS NOT NULL "

	Private Const sqlSel_MTI_LEND_CND1_P2 As String = _
	"   GROUP BY " _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LENDITEM_CD"

	''' <summary>
	''' TK_貸出情報テーブルの削除対象レコードの抽出用（日付指定なし）
	''' </summary>
	Public Const sqlSel_MTI_LEND_CND1 As String =
	  sqlSel_MTI_LEND_CND1_P1 _
	& sqlSel_MTI_LEND_CND1_P2

	''' <summary>
	''' TK_貸出情報テーブルの削除対象レコードの抽出用（日付指定あり）
	''' </summary>
	Public Const sqlSel_MTI_LEND_CND2 As String =
	  sqlSel_MTI_LEND_CND1_P1 _
	& sqlWhere_CND2 _
	& sqlSel_MTI_LEND_CND1_P2


	''' <summary>
	''' 削除用SQL
	''' </summary>
	Public Const sqlDel_MTI_LEND_CND1 As String =
	" DELETE " _
	& " FROM MTI_LEND " _
	& " FROM MTI_LEND " _
	& " INNER JOIN (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LENDITEM_CD" _
	& ",LENDSERIAL_NO" _
	& ",ROW_NUMBER() OVER (ORDER BY ISSUE_DT DESC,LENDSERIAL_NO DESC) AS ROWNUM" _
	& "  FROM MTI_LEND" _
	& " WHERE PATIENT_NO		= " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO	= " & prmHSP_HISTORY_NO _
	& "   AND CH_NO				= " & prmCH_NO _
	& "   AND LENDITEM_CD		= " & prmLENDITEM_CD _
	& "   AND BACK_DT			IS NOT NULL" _
 _
	& " ) AS TMP" _
	& "  ON MTI_LEND.PATIENT_NO		= TMP.PATIENT_NO" _
	& " AND MTI_LEND.HSP_HISTORY_NO = TMP.HSP_HISTORY_NO" _
	& " AND MTI_LEND.CH_NO			= TMP.CH_NO" _
	& " AND MTI_LEND.LENDITEM_CD	= TMP.LENDITEM_CD" _
	& " AND MTI_LEND.LENDSERIAL_NO	= TMP.LENDSERIAL_NO" _
	& " WHERE TMP.ROWNUM > " & prmTIMES


	''' <summary>
	''' 削除用SQL
	''' </summary>
	Public Const sqlDel_MTI_LEND_CND2 As String =
	  sqlDel_MTI_LEND_CND1 _
	& sqlWhere_CND2


End Class
