﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 医療費明細情報削除
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Friend NotInheritable Class datMAX060F010_CHECKDATMST_HSP_Rec

	Public PATIENT_NO As String			'患者番号
	Public HSP_HISTORY_NO As Integer	'入退院歴番号
	Public CH_NO As Integer				'科歴番号
	Public HSP_DT As Date				'入院日
	Public OUT_HSP_DT As Date			'退院日

End Class

Friend NotInheritable Class datMAX060F010_CHECKDATMST_CH_Rec

	Public PATIENT_NO As String			'患者番号
	Public HSP_HISTORY_NO As Integer	'入退院歴番号
	Public CH_NO As Integer				'科歴番号
	Public START_DT As Date				'開始日
	Public END_DT As Date				'終了日

End Class

Friend NotInheritable Class datMAX060F010_CHECKDATWRK_Rec

	Public PATIENT_NO As String			'患者番号
	Public MED_COST_DATE As Date		'日付
	Public SERIAL_NO As Integer			'連番

End Class

Friend NotInheritable Class datMAX060F010_MTM_MED_COST_ITM_Rec

	Public MED_COST_CD As String			'医療費項目コード
	Public MED_COST_NM As String			'医療費項目名
	Public TOTAL_OBJECT_FLG As Integer		'合計対象フラグ

End Class

Friend NotInheritable Class datMAX060F010_TOTALCOST_Rec

	Public PATIENT_NO As String				'患者番号
	Public HSP_HISTORY_NO As Integer		'入退院歴番号
	Public CH_NO As Integer					'科歴番号
	Public COST As Integer					'医療費合計
	Public CNT As Integer					'医療費数

End Class

Friend NotInheritable Class sqlMAX060F010

#Region "パラメータ"

	Public Const prmSELECTED As String = "@SELECTED"						'選択チェックボックス
	Public Const prmHOST_NM As String = "@HOST_NM"							'ホスト名
	Public Const prmMED_COST_DATE As String = "@MED_COST_DATE"				'対象日
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
	Public Const prmSERIAL_NO As String = "@SERIAL_NO"						'連番
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"								'科歴番号
	Public Const prmTOTAL_MED_COST As String = "@TOTAL_MED_COST"			'医療費合計
	Public Const prmMED_COST_COUNT As String = "@MED_COST_COUNT"			'医療費数
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"			'データ取込日
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"					'新規登録日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"			'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日
	Public Const prmTOTAL_OBJECT_FLG As String = "@TOTAL_OBJECT_FLG"		'合計対象フラグ

#End Region

#Region "取得項目"

	Public Const itmSELECTED As String = "SELECTED"							'選択チェックボックス
	Public Const itmPATIENT_NO As String = "PATIENT_NO"						'患者番号
	Public Const itmPATIENT_NM As String = "PATIENT_NM"						'氏名（患者）
	Public Const itmMED_COST_DATE As String = "MED_COST_DATE"				'日付
	Public Const itmSERIAL_NO As String = "SERIAL_NO"						'連番
	Public Const itmDEPT_CD As String = "DEPT_CD"							'診療科コード
	Public Const itmDEPT_NM As String = "DEPT_NM"							'診療科名
	Public Const itmMED_COST01 As String = "MED_COST01"						'医療費０１
	Public Const itmMED_COST02 As String = "MED_COST02"						'医療費０２
	Public Const itmMED_COST03 As String = "MED_COST03"						'医療費０３
	Public Const itmMNG_NO As String = "MNG_NO"								'管理番号
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"			'データ取込日

#End Region

#Region "医療費明細抽出用"

	''' <summary>
	''' TZ_医療費明細情報テーブルの対象レコードの抽出用
	''' </summary>
	Public Const sqlSel_MTI_MED_COST_DETAILS As String = _
	" SELECT " _
	& prmSELECTED & " AS " & itmSELECTED _
	& "		,MTI_MED_COST_DETAILS.PATIENT_NO " _
	& "		,XTI_BASICINFO.PATIENT_NM " _
	& "		,MTI_MED_COST_DETAILS.MED_COST_DATE " _
	& "		,MTI_MED_COST_DETAILS.SERIAL_NO " _
	& "		,MTI_MED_COST_DETAILS.DEPT_CD " _
	& "		,MTM_DEPT.DEPT_NM " _
	& "		,MTI_MED_COST_DETAILS.MED_COST01 " _
	& "		,MTI_MED_COST_DETAILS.MED_COST02 " _
	& "		,MTI_MED_COST_DETAILS.MED_COST03 " _
	& "		,MTI_MED_COST_DETAILS.MED_COST04 " _
	& "		,MTI_MED_COST_DETAILS.MED_COST05 " _
	& "		,MTI_MED_COST_DETAILS.MNG_NO " _
	& "		,CONVERT(VARCHAR,MTI_MED_COST_DETAILS.DATA_CAPTURE_DT,111) AS DATA_CAPTURE_DT" _
	& "	FROM " _
	& "		MTI_MED_COST_DETAILS " _
	& "			INNER JOIN " _
	& "				XTI_BASICINFO " _
	& "			ON " _
	& "				MTI_MED_COST_DETAILS.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
	& "			LEFT JOIN " _
	& "				MTM_DEPT" _
	& "			ON " _
	& "				MTI_MED_COST_DETAILS.DEPT_CD = MTM_DEPT.DEPT_CD " _
	& "	{0} " _
	& " ORDER BY " _
	& "		 PATIENT_NO " _
	& "		,MED_COST_DATE " _
	& "		,SERIAL_NO "

#End Region

#Region "医療費明細更新用"

	''' <summary>
	''' TZ_医療費明細情報テーブルの医療費クリア
	''' </summary>
	Public Const sqlUpd_MTI_MED_COST_DETAILS_PRE1 As String = _
		" UPDATE " _
		& "		MTI_MED_COST_DETAILS " _
		& "	SET " _
		& "		MTI_MED_COST_DETAILS.MED_COST01 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST02 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST03 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST04 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST05 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST06 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST07 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST08 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST09 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST10 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST11 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST12 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST13 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST14 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST15 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST16 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST17 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST18 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST19 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST20 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST21 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST22 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST23 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST24 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST25 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST26 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST27 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST28 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST29 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST30 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST31 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST32 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST33 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST34 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST35 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST36 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST37 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST38 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST39 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST40 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST41 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST42 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST43 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST44 = 0, " _
		& "		MTI_MED_COST_DETAILS.MED_COST45 = 0 " _
		& "	WHERE " _
		& "		MTI_MED_COST_DETAILS.PATIENT_NO = " & prmPATIENT_NO _
		& " AND " _
		& "		MTI_MED_COST_DETAILS.MED_COST_DATE = " & prmMED_COST_DATE _
		& " AND " _
		& "		MTI_MED_COST_DETAILS.SERIAL_NO = " & prmSERIAL_NO

	''' <summary>
	''' TZ_医療費明細情報テーブルの対象データをワークへコピー
	''' </summary>
	Public Const sqlIns_MTW_MED_COST_INFO As String = _
		" INSERT INTO " _
		& " MTW_MED_COST_INFO " _
		& " SELECT " _
		& prmHOST_NM & ", " _
		& "		MTI_MED_COST_DETAILS.PATIENT_NO, " _
		& "		MTI_MED_COST_DETAILS.MED_COST_DATE, " _
		& "		MTI_MED_COST_DETAILS.SERIAL_NO, " _
		& "		MTI_MED_COST_DETAILS.DEPT_CD, " _
		& "		MTI_MED_COST_DETAILS.MNG_NO, " _
		& "		MTI_MED_COST_DETAILS.MED_COST01, " _
		& "		MTI_MED_COST_DETAILS.MED_COST02, " _
		& "		MTI_MED_COST_DETAILS.MED_COST03, " _
		& "		MTI_MED_COST_DETAILS.MED_COST04, " _
		& "		MTI_MED_COST_DETAILS.MED_COST05, " _
		& "		MTI_MED_COST_DETAILS.MED_COST06, " _
		& "		MTI_MED_COST_DETAILS.MED_COST07, " _
		& "		MTI_MED_COST_DETAILS.MED_COST08, " _
		& "		MTI_MED_COST_DETAILS.MED_COST09, " _
		& "		MTI_MED_COST_DETAILS.MED_COST10, " _
		& "		MTI_MED_COST_DETAILS.MED_COST11, " _
		& "		MTI_MED_COST_DETAILS.MED_COST12, " _
		& "		MTI_MED_COST_DETAILS.MED_COST13, " _
		& "		MTI_MED_COST_DETAILS.MED_COST14, " _
		& "		MTI_MED_COST_DETAILS.MED_COST15, " _
		& "		MTI_MED_COST_DETAILS.MED_COST16, " _
		& "		MTI_MED_COST_DETAILS.MED_COST17, " _
		& "		MTI_MED_COST_DETAILS.MED_COST18, " _
		& "		MTI_MED_COST_DETAILS.MED_COST19, " _
		& "		MTI_MED_COST_DETAILS.MED_COST20, " _
		& "		MTI_MED_COST_DETAILS.MED_COST21, " _
		& "		MTI_MED_COST_DETAILS.MED_COST22, " _
		& "		MTI_MED_COST_DETAILS.MED_COST23, " _
		& "		MTI_MED_COST_DETAILS.MED_COST24, " _
		& "		MTI_MED_COST_DETAILS.MED_COST25, " _
		& "		MTI_MED_COST_DETAILS.MED_COST26, " _
		& "		MTI_MED_COST_DETAILS.MED_COST27, " _
		& "		MTI_MED_COST_DETAILS.MED_COST28, " _
		& "		MTI_MED_COST_DETAILS.MED_COST29, " _
		& "		MTI_MED_COST_DETAILS.MED_COST30, " _
		& "		MTI_MED_COST_DETAILS.MED_COST31, " _
		& "		MTI_MED_COST_DETAILS.MED_COST32, " _
		& "		MTI_MED_COST_DETAILS.MED_COST33, " _
		& "		MTI_MED_COST_DETAILS.MED_COST34, " _
		& "		MTI_MED_COST_DETAILS.MED_COST35, " _
		& "		MTI_MED_COST_DETAILS.MED_COST36, " _
		& "		MTI_MED_COST_DETAILS.MED_COST37, " _
		& "		MTI_MED_COST_DETAILS.MED_COST38, " _
		& "		MTI_MED_COST_DETAILS.MED_COST39, " _
		& "		MTI_MED_COST_DETAILS.MED_COST40, " _
		& "		MTI_MED_COST_DETAILS.MED_COST41, " _
		& "		MTI_MED_COST_DETAILS.MED_COST42, " _
		& "		MTI_MED_COST_DETAILS.MED_COST43, " _
		& "		MTI_MED_COST_DETAILS.MED_COST44, " _
		& "		MTI_MED_COST_DETAILS.MED_COST45, " _
		& "		MTI_MED_COST_DETAILS.OTHER_DEPT_INFO, " _
		& "		MTI_MED_COST_DETAILS.DATA_CAPTURE_DT, " _
		& "		MTI_MED_COST_DETAILS.NEW_REG_DT, " _
		& "		0, " _
		& "		0, " _
		& "     '0', " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& " FROM " _
		& "		MTI_MED_COST_DETAILS " _
		& " WHERE " _
		& "		MTI_MED_COST_DETAILS.PATIENT_NO = " & prmPATIENT_NO

	''' <summary>
	''' TI_入退院情報から対象レコード取得
	''' </summary>
	Public Const sqlSel_MTI_HSP As String = _
		" SELECT " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		0 AS CH_NO, " _
		& "		MTI_HSP.HSP_DT, " _
		& "		MTI_HSP.OUT_HSP_DT " _
		& "	FROM " _
		& "		MTI_HSP " _
		& "	WHERE " _
		& "		MTI_HSP.PATIENT_NO = " & prmPATIENT_NO _
		& "	ORDER BY " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_HSP.HSP_DT "

	''' <summary>
	''' TI_科歴情報から対象レコード取得
	''' </summary>
	Public Const sqlSel_MTI_CH As String = _
		" SELECT " _
		& "		MTI_CH.PATIENT_NO, " _
		& "		MTI_CH.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		MTI_CH.START_DT, " _
		& "		MTI_CH.END_DT " _
		& "	FROM " _
		& "		MTI_CH " _
		& "	WHERE " _
		& "		MTI_CH.PATIENT_NO = " & prmPATIENT_NO _
		& "	ORDER BY " _
		& "		MTI_CH.PATIENT_NO, " _
		& "		MTI_CH.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		MTI_CH.START_DT "

	''' <summary>
	''' TR_医療費明細情報テーブルの取得
	''' </summary>
	Public Const sqlSel_MTW_MED_COST_INFO As String = _
		" SELECT " _
		& "		MTW_MED_COST_INFO.PATIENT_NO, " _
		& "		MTW_MED_COST_INFO.MED_COST_DATE, " _
		& "		MTW_MED_COST_INFO.SERIAL_NO " _
		& "	FROM " _
		& "		MTW_MED_COST_INFO " _
		& "	WHERE " _
		& "		MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "	AND " _
		& "		MTW_MED_COST_INFO.PATIENT_NO = " & prmPATIENT_NO _
		& "	ORDER BY " _
		& "		MTW_MED_COST_INFO.MED_COST_DATE, " _
		& "		MTW_MED_COST_INFO.SERIAL_NO "

	''' <summary>
	''' TR_医療費明細情報テーブルの入退院番号、科歴番号、対象フラグ更新
	''' </summary>
	Public Const sqlUpd_MTW_MED_COST_INFO As String = _
		" UPDATE " _
		& "		MTW_MED_COST_INFO " _
		& " SET " _
		& "		MTW_MED_COST_INFO.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & ", " _
		& "		MTW_MED_COST_INFO.CH_NO = " & prmCH_NO & ", " _
		& "		MTW_MED_COST_INFO.OBJECT_FLG = 1 " _
		& "	WHERE " _
		& "		MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "	AND " _
		& "		MTW_MED_COST_INFO.PATIENT_NO = " & prmPATIENT_NO _
		& "	AND " _
		& "		MTW_MED_COST_INFO.MED_COST_DATE = " & prmMED_COST_DATE _
		& "	AND " _
		& "		MTW_MED_COST_INFO.SERIAL_NO = " & prmSERIAL_NO

	''' <summary>
	''' TR_医療費明細情報テーブルの削除
	''' </summary>
	Public Const sqlDel_MTW_MED_COST_INFO As String = _
		" DELETE " _
		& " FROM " _
		& "		MTW_MED_COST_INFO " _
		& "	WHERE " _
		& "		MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "	AND " _
		& "		(MTW_MED_COST_INFO.OBJECT_FLG = 0 " _
		& "	OR " _
		& "		 MTW_MED_COST_INFO.OBJECT_FLG IS NULL) "

	''' <summary>
	''' TI_医療費情報テーブルの削除
	''' </summary>
	Public Const sqlDel_MTI_MED_COST_1 As String = _
		" DELETE " _
		& "	FROM " _
		& "		MTI_MED_COST " _
		& "	WHERE " _
		& "		EXISTS " _
		& "			(SELECT " _
		& "				MTW_MED_COST_INFO.PATIENT_NO, " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO " _
		& "			 FROM " _
		& "				MTW_MED_COST_INFO " _
		& "			 WHERE " _
		& "				MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.PATIENT_NO = MTI_MED_COST.PATIENT_NO " _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_MED_COST.HSP_HISTORY_NO " _
		& "			 ) " _
		& " AND " _
		& "		MTI_MED_COST.CH_NO = 0 "

	''' <summary>
	''' TI_医療費情報テーブルの削除（科歴単位の場合）
	''' </summary>
	Public Const sqlDel_MTI_MED_COST_2 As String = _
		" DELETE " _
		& "	FROM " _
		& "		MTI_MED_COST " _
		& "	WHERE " _
		& "		EXISTS " _
		& "			(SELECT " _
		& "				MTW_MED_COST_INFO.PATIENT_NO, " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO " _
		& "			 FROM " _
		& "				MTW_MED_COST_INFO " _
		& "			 WHERE " _
		& "				MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.PATIENT_NO = MTI_MED_COST.PATIENT_NO " _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_MED_COST.HSP_HISTORY_NO " _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.CH_NO = MTI_MED_COST.CH_NO " _
		& "			 ) "

	''' <summary>
	''' TI_医療費情報テーブルへの追加
	''' </summary>
	Public Const sqlIns_MTI_MED_COST_1 As String = _
		" INSERT INTO " _
		& " 	MTI_MED_COST " _
		& " SELECT " _
		& "		MTW_MED_COST_INFO.PATIENT_NO, " _
		& "		MTW_MED_COST_INFO.HSP_HISTORY_NO, " _
		& "		MTW_MED_COST_INFO.CH_NO, " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST01), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST02), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST03), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST04), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST05), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST06), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST07), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST08), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST09), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST10), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST11), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST12), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST13), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST14), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST15), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST16), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST17), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST18), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST19), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST20), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST21), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST22), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST23), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST24), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST25), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST26), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST27), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST28), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST29), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST30), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST31), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST32), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST33), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST34), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST35), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST36), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST37), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST38), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST39), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST40), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST41), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST42), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST43), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST44), " _
		& "		SUM(MTW_MED_COST_INFO.MED_COST45), " _
		& prmDATA_CAPTURE_DT & ", " _
		& prmNEW_REG_DT & ", " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTW_MED_COST_INFO " _
		& "	WHERE " _
		& "		MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "	GROUP BY " _
		& "		MTW_MED_COST_INFO.PATIENT_NO, " _
		& "		MTW_MED_COST_INFO.HSP_HISTORY_NO, " _
		& "		MTW_MED_COST_INFO.CH_NO "

	Public Const sqlIns_MTI_MED_COST_2 As String = _
		" INSERT INTO " _
		& " 	MTI_MED_COST " _
		& " SELECT " _
		& "		MTI_MED_COST.PATIENT_NO, " _
		& "		MTI_MED_COST.HSP_HISTORY_NO, " _
		& "		0, " _
		& "		SUM(MTI_MED_COST.MED_COST01), " _
		& "		SUM(MTI_MED_COST.MED_COST02), " _
		& "		SUM(MTI_MED_COST.MED_COST03), " _
		& "		SUM(MTI_MED_COST.MED_COST04), " _
		& "		SUM(MTI_MED_COST.MED_COST05), " _
		& "		SUM(MTI_MED_COST.MED_COST06), " _
		& "		SUM(MTI_MED_COST.MED_COST07), " _
		& "		SUM(MTI_MED_COST.MED_COST08), " _
		& "		SUM(MTI_MED_COST.MED_COST09), " _
		& "		SUM(MTI_MED_COST.MED_COST10), " _
		& "		SUM(MTI_MED_COST.MED_COST11), " _
		& "		SUM(MTI_MED_COST.MED_COST12), " _
		& "		SUM(MTI_MED_COST.MED_COST13), " _
		& "		SUM(MTI_MED_COST.MED_COST14), " _
		& "		SUM(MTI_MED_COST.MED_COST15), " _
		& "		SUM(MTI_MED_COST.MED_COST16), " _
		& "		SUM(MTI_MED_COST.MED_COST17), " _
		& "		SUM(MTI_MED_COST.MED_COST18), " _
		& "		SUM(MTI_MED_COST.MED_COST19), " _
		& "		SUM(MTI_MED_COST.MED_COST20), " _
		& "		SUM(MTI_MED_COST.MED_COST21), " _
		& "		SUM(MTI_MED_COST.MED_COST22), " _
		& "		SUM(MTI_MED_COST.MED_COST23), " _
		& "		SUM(MTI_MED_COST.MED_COST24), " _
		& "		SUM(MTI_MED_COST.MED_COST25), " _
		& "		SUM(MTI_MED_COST.MED_COST26), " _
		& "		SUM(MTI_MED_COST.MED_COST27), " _
		& "		SUM(MTI_MED_COST.MED_COST28), " _
		& "		SUM(MTI_MED_COST.MED_COST29), " _
		& "		SUM(MTI_MED_COST.MED_COST30), " _
		& "		SUM(MTI_MED_COST.MED_COST31), " _
		& "		SUM(MTI_MED_COST.MED_COST32), " _
		& "		SUM(MTI_MED_COST.MED_COST33), " _
		& "		SUM(MTI_MED_COST.MED_COST34), " _
		& "		SUM(MTI_MED_COST.MED_COST35), " _
		& "		SUM(MTI_MED_COST.MED_COST36), " _
		& "		SUM(MTI_MED_COST.MED_COST37), " _
		& "		SUM(MTI_MED_COST.MED_COST38), " _
		& "		SUM(MTI_MED_COST.MED_COST39), " _
		& "		SUM(MTI_MED_COST.MED_COST40), " _
		& "		SUM(MTI_MED_COST.MED_COST41), " _
		& "		SUM(MTI_MED_COST.MED_COST42), " _
		& "		SUM(MTI_MED_COST.MED_COST43), " _
		& "		SUM(MTI_MED_COST.MED_COST44), " _
		& "		SUM(MTI_MED_COST.MED_COST45), " _
		& prmDATA_CAPTURE_DT & ", " _
		& prmNEW_REG_DT & ", " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_MED_COST " _
		& "	WHERE " _
		& "		EXISTS " _
		& "			(SELECT " _
		& "				MTW_MED_COST_INFO.PATIENT_NO, " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO " _
		& "			 FROM " _
		& "				MTW_MED_COST_INFO " _
		& "			 WHERE " _
		& "				MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.PATIENT_NO = MTI_MED_COST.PATIENT_NO " _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_MED_COST.HSP_HISTORY_NO " _
		& "			) " _
		& "	GROUP BY " _
		& "		MTI_MED_COST.PATIENT_NO, " _
		& "		MTI_MED_COST.HSP_HISTORY_NO "

	''' <summary>
	''' TI_医療費情報テーブルの削除（全医療費が0のレコード）
	''' </summary>
	Public Const sqlDel_MTI_MED_COST_AT0_1 As String = _
		" DELETE " _
		& "	FROM " _
		& "		MTI_MED_COST " _
		& "	WHERE " _
		& "		EXISTS " _
		& "			(SELECT " _
		& "				MTW_MED_COST_INFO.PATIENT_NO, " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO " _
		& "			 FROM " _
		& "				MTW_MED_COST_INFO " _
		& "			 WHERE " _
		& "				MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.PATIENT_NO = MTI_MED_COST.PATIENT_NO " _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_MED_COST.HSP_HISTORY_NO " _
		& "			 ) " _
		& " AND " _
		& "		MTI_MED_COST.CH_NO = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST01 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST02 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST03 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST04 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST05 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST06 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST07 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST08 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST09 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST10 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST11 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST12 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST13 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST14 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST15 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST16 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST17 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST18 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST19 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST20 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST21 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST22 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST23 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST24 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST25 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST26 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST27 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST28 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST29 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST30 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST31 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST32 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST33 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST34 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST35 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST36 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST37 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST38 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST39 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST40 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST41 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST42 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST43 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST44 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST45 = 0 "

	''' <summary>
	''' TI_医療費情報テーブルの削除（全医療費が0のレコード）
	''' </summary>
	Public Const sqlDel_MTI_MED_COST_AT0_2 As String = _
		" DELETE " _
		& "	FROM " _
		& "		MTI_MED_COST " _
		& "	WHERE " _
		& "		EXISTS " _
		& "			(SELECT " _
		& "				MTW_MED_COST_INFO.PATIENT_NO, " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO, " _
		& "				MTW_MED_COST_INFO.CH_NO " _
		& "			 FROM " _
		& "				MTW_MED_COST_INFO " _
		& "			 WHERE " _
		& "				MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.PATIENT_NO = MTI_MED_COST.PATIENT_NO " _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_MED_COST.HSP_HISTORY_NO " _
		& "			 AND " _
		& "				MTW_MED_COST_INFO.CH_NO = MTI_MED_COST.CH_NO " _
		& "			 ) " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST01 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST02 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST03 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST04 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST05 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST06 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST07 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST08 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST09 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST10 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST11 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST12 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST13 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST14 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST15 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST16 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST17 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST18 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST19 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST20 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST21 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST22 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST23 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST24 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST25 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST26 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST27 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST28 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST29 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST30 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST31 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST32 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST33 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST34 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST35 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST36 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST37 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST38 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST39 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST40 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST41 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST42 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST43 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST44 = 0 " _
		& " AND " _
		& "		MTI_MED_COST.MED_COST45 = 0 "

	''' <summary>
	''' TM_医療費項目マスタの取得
	''' </summary>
	Public Const sqlSel_MTM_MED_COST_ITM As String = _
		" SELECT " _
		& "		MTM_MED_COST_ITM.MED_COST_CD, " _
		& "		MTM_MED_COST_ITM.MED_COST_NM, " _
		& "		MTM_MED_COST_ITM.TOTAL_OBJECT_FLG " _
		& " FROM " _
		& "		MTM_MED_COST_ITM " _
		& "	WHERE " _
		& "		MTM_MED_COST_ITM.TOTAL_OBJECT_FLG = " & prmTOTAL_OBJECT_FLG _
		& " ORDER BY " _
		& "		MTM_MED_COST_ITM.MED_COST_CD "

	''' <summary>
	''' TI_入退院歴情報テーブルの医療費合計
	''' </summary>
	Public Const sqlSel_MTI_HSP_SUM_PART1 As String = _
		" SELECT " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		0 AS CH_NO, " _
		& "		( "

	Public Const sqlSel_MTI_HSP_SUM_PART2 As String = _
		" ) AS COST, " _
		& "		CASE " _
		& "			WHEN " _
		& "				MTI_MED_COST.PATIENT_NO IS NULL " _
		& "					THEN 0 " _
		& "					ELSE 1 " _
		& "		END AS CNT " _
		& "	FROM " _
		& "		MTI_HSP " _
		& "			LEFT JOIN " _
		& "				MTI_MED_COST " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = MTI_MED_COST.PATIENT_NO " _
		& "				AND " _
		& "				MTI_HSP.HSP_HISTORY_NO = MTI_MED_COST.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_MED_COST.CH_NO = 0 " _
		& "	WHERE " _
		& "		EXISTS " _
		& "			(SELECT " _
		& "				MTW_MED_COST_INFO.PATIENT_NO, " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO " _
		& "			 FROM " _
		& "		 		MTW_MED_COST_INFO " _
		& "			 WHERE " _
		& "				MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "			 AND " _
		& "		 		MTW_MED_COST_INFO.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "		 	 AND " _
		& "		 		MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "		 	) "

	''' <summary>
	''' TI_科歴情報テーブルの医療費合計
	''' </summary>
	Public Const sqlSel_MTI_CH_SUM_PART1 As String = _
		" SELECT " _
		& "		MTI_CH.PATIENT_NO, " _
		& "		MTI_CH.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		( "

	Public Const sqlSel_MTI_CH_SUM_PART2 As String = _
		" ) AS COST, " _
		& "		CASE " _
		& "			WHEN " _
		& "				MTI_MED_COST.PATIENT_NO IS NULL " _
		& "					THEN 0 " _
		& "					ELSE 1 " _
		& "		END AS CNT " _
		& "	FROM " _
		& "		MTI_CH " _
		& "			LEFT JOIN " _
		& "				MTI_MED_COST " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_MED_COST.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_MED_COST.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_MED_COST.CH_NO " _
		& "	WHERE " _
		& "		EXISTS " _
		& "			(SELECT " _
		& "				MTW_MED_COST_INFO.PATIENT_NO, " _
		& "				MTW_MED_COST_INFO.HSP_HISTORY_NO, " _
		& "				MTW_MED_COST_INFO.CH_NO " _
		& "			 FROM " _
		& "		 		MTW_MED_COST_INFO " _
		& "			 WHERE " _
		& "				MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "			 AND " _
		& "		 		MTW_MED_COST_INFO.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "		 	 AND " _
		& "		 		MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "			 AND " _
		& "		 		MTW_MED_COST_INFO.CH_NO = MTI_CH.CH_NO " _
		& "		 	) "

	Public Const sqlCND_COST_ZERO As String = _
		" 0 "

	Public Const sqlCND_COST_LEFT As String = _
		" (MTI_MED_COST.MED_COST"

	Public Const sqlCND_COST_RIGHT As String = _
		") "

	Public Const sqlCND_COST_PLUS As String = _
		" + "

	Public Const sqlCND_COST As String = _
		" AS COST, "

	''' <summary>
	''' TI_入退院歴情報テーブルの医療費合計更新
	''' </summary>
	Public Const sqlUpd_MTI_HSP As String = _
		" UPDATE " _
		& "		MTI_HSP " _
		& "	SET " _
		& "		MTI_HSP.TOTAL_MED_COST = " & prmTOTAL_MED_COST & ", " _
		& "		MTI_HSP.MED_COST_COUNT = " & prmMED_COST_COUNT & " ," _
		& "		MTI_HSP.DATA_CAPTURE_DT = " & prmDATA_CAPTURE_DT & ", " _
		& "		MTI_HSP.LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "		MTI_HSP.LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE " _
		& "		MTI_HSP.PATIENT_NO =  " & prmPATIENT_NO _
		& "	AND " _
		& "		MTI_HSP.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	''' <summary>
	''' TI_科歴情報テーブルの医療費合計更新
	''' </summary>
	Public Const sqlUpd_MTI_CH As String = _
		" UPDATE " _
		& "		MTI_CH " _
		& "	SET " _
		& "		MTI_CH.TOTAL_MED_COST = " & prmTOTAL_MED_COST & ", " _
		& "		MTI_CH.MED_COST_COUNT = " & prmMED_COST_COUNT & " ," _
		& "		MTI_CH.DATA_CAPTURE_DT = " & prmDATA_CAPTURE_DT & ", " _
		& "		MTI_CH.LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "		MTI_CH.LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE " _
		& "		MTI_CH.PATIENT_NO =  " & prmPATIENT_NO _
		& "	AND " _
		& "		MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
		& "	AND " _
		& "		MTI_CH.CH_NO = " & prmCH_NO

	''' <summary>
	''' TI_入退院歴情報テーブルの医療費合計更新
	''' </summary>
	Public Const sqlUpd_MTI_HSP_SUM As String = _
		" UPDATE " _
		& "		MTI_HSP " _
		& "	SET " _
		& "		MTI_HSP.TOTAL_MED_COST = MTI_CH.TOTAL_MED_COST, " _
		& "		MTI_HSP.MED_COST_COUNT = " _
		& "			CASE " _
		& "				WHEN " _
		& "					MTI_HSP.MED_COST_COUNT > 0 " _
		& "						THEN 1 " _
		& "						ELSE 0 " _
		& "			END, " _
		& "		MTI_HSP.LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "		MTI_HSP.LASTUPD_DT = " & prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_HSP " _
		& "			INNER JOIN " _
		& "				(SELECT " _
		& "					MTI_CH.PATIENT_NO, " _
		& "					MTI_CH.HSP_HISTORY_NO, " _
		& "					SUM(MTI_CH.MED_COST_COUNT) AS MED_COST_COUNT, " _
		& "					SUM(MTI_CH.TOTAL_MED_COST) AS TOTAL_MED_COST " _
		& "				 FROM " _
		& "					MTI_CH " _
		& "				 WHERE " _
		& "					EXISTS " _
		& "						(SELECT " _
		& "							MTW_MED_COST_INFO.PATIENT_NO, " _
		& "							MTW_MED_COST_INFO.HSP_HISTORY_NO " _
		& "						 FROM " _
		& "							MTW_MED_COST_INFO " _
		& "						 WHERE " _
		& "							MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM _
		& "							AND " _
		& " 						MTW_MED_COST_INFO.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "							AND " _
		& " 						MTW_MED_COST_INFO.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "						) " _
		& "				 GROUP BY " _
		& "					MTI_CH.PATIENT_NO, " _
		& "					MTI_CH.HSP_HISTORY_NO) AS MTI_CH " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO "

	''' <summary>
	''' TR_医療費明細情報テーブルの全削除
	''' </summary>
	Public Const sqlDel_MTW_MED_COST_INFO_ALL As String = _
		" DELETE " _
		& " FROM " _
		& "		MTW_MED_COST_INFO " _
		& "	WHERE " _
		& "		MTW_MED_COST_INFO.HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TZ_医療費明細情報テーブルの対象レコード削除
	''' </summary>
	Public Const sqlDel_MTI_MED_COST_DETAILS As String = _
		" DELETE FROM " _
		& "		MTI_MED_COST_DETAILS " _
		& "	WHERE " _
		& "		MTI_MED_COST_DETAILS.PATIENT_NO = " & prmPATIENT_NO _
		& "	AND " _
		& "		MTI_MED_COST_DETAILS.MED_COST_DATE = " & prmMED_COST_DATE _
		& "	AND " _
		& "		MTI_MED_COST_DETAILS.SERIAL_NO = " & prmSERIAL_NO

#End Region

End Class
